<?php
/**
 * The template for displaying Archive pages.
 *
 * Used to display archive-type pages if nothing more specific matches a query.
 * For example, puts together date-based pages if no date.php file exists.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 */
?>
<?php
    get_header();
    
    $archiveLayout  = atbs_core::bk_get_theme_option('bk_archive_content_layout');
    $sidebar        = atbs_core::bk_get_theme_option('bk_archive_sidebar_select');
    $sidebarPos     = atbs_core::bk_get_theme_option('bk_archive_sidebar_position');
    $sidebarSticky  = atbs_core::bk_get_theme_option('bk_archive_sidebar_sticky'); 
    $pagination     = 'default';
    
    $sidebar_option = '';
    if(!is_active_sidebar($sidebar)) {
        $sidebar_option = 'disable';
    }
        
    $moduleID = uniqid('doris_posts_'.$archiveLayout.'-');
?>
<div class="site-content">       
    <?php if( ($archiveLayout == 'listing_list') ||
              ($archiveLayout == 'listing_list_first_large') ||
              ($archiveLayout == 'listing_grid') ||
              ($archiveLayout == 'listing_grid_first_large') ||
              ($archiveLayout == 'listing_large_post')
            ) {?>
    <div class="doris-layout-split doris-block doris-block--fullwidth">
        <div class="container <?php if($sidebar_option == 'disable') echo 'container--narrow';?>">
            <div class="row">
                <div class="<?php if($sidebar_option != 'disable') echo 'doris-main-col';?> <?php if($sidebarPos == 'left') echo('has-left-sidebar');?>" role="main">
                    <div class="block-heading block-doris-heading">
        				<h2>
                            <?php
                                if ( is_day() ) :
                            		printf( esc_html__( 'Daily Archives: %s', 'doris' ), get_the_date() );
                            	elseif ( is_month() ) :
                            		printf( esc_html__( 'Monthly Archives: %s', 'doris' ), get_the_date( _x( 'F Y', 'monthly archives date format', 'doris' ) ) );
                            	elseif ( is_year() ) :
                            		printf( esc_html__( 'Yearly Archives: %s', 'doris' ), get_the_date( _x( 'Y', 'yearly archives date format', 'doris' ) ) );
                                else :
                            		esc_html_e( 'Archives', 'doris' );
                            	endif;
                            ?>                                
                        </h2>
        			</div>
                    <div id="<?php echo esc_attr($moduleID);?>" class="doris-block">
                        <?php echo doris_archive::archive_main_col($archiveLayout, $moduleID, $pagination);?>
                        <?php echo doris_archive::bk_pagination_render($pagination);?>

                    </div><!-- .doris-block -->
                </div><!-- .doris-main-col -->
                
                <?php if($sidebar_option != 'disable'):?>
                <div class="doris-sub-col doris-sub-col--right sidebar <?php if($sidebarSticky != 0) echo 'js-sticky-sidebar';?>" role="complementary">
                    <div class="theiaStickySidebar">
                        <?php dynamic_sidebar( $sidebar );?>
                    </div>
                </div> <!-- .doris-sub-col -->
                <?php endif;?>
            </div><!-- .row -->
        </div><!-- .container -->
    </div><!-- .doris-block -->
<?php }else {?>
    <div class="doris-layout-split doris-block doris-block--fullwidth">
        <div class="container <?php if($sidebar_option == 'disable') echo 'container--narrow';?>">
            <div class="row">
                <div class="<?php if($sidebar_option != 'disable') echo 'doris-main-col';?>" role="main">
                    <div class="block-heading block-doris-heading">
        				<h2>
                            <?php
                                if ( is_day() ) :
                            		printf( esc_html__( 'Daily Archives: %s', 'doris' ), get_the_date() );
                            	elseif ( is_month() ) :
                            		printf( esc_html__( 'Monthly Archives: %s', 'doris' ), get_the_date( _x( 'F Y', 'monthly archives date format', 'doris' ) ) );
                            	elseif ( is_year() ) :
                            		printf( esc_html__( 'Yearly Archives: %s', 'doris' ), get_the_date( _x( 'Y', 'yearly archives date format', 'doris' ) ) );
                                else :
                            		esc_html_e( 'Archives', 'doris' );
                            	endif;
                            ?>                                
                        </h2>
        			</div>
                    <div id="<?php echo esc_attr($moduleID);?>" class="doris-block">
                        <?php echo doris_archive::archive_main_col('listing_list', $moduleID, 'default');?>
                        <?php echo doris_archive::bk_pagination_render('default');?>
                    </div><!-- .doris-block -->
                </div><!-- .doris-main-col -->
                
                <?php if($sidebar_option != 'disable'):?>
                <div class="doris-sub-col doris-sub-col--right sidebar js-sticky-sidebar" role="complementary">
                    <div class="theiaStickySidebar">
                    <?php dynamic_sidebar( $sidebar ); ?>
                    </div>
                </div> <!-- .doris-sub-col -->
                <?php endif;?>
            </div><!-- .row -->
        </div><!-- .container -->
    </div><!-- .doris-block -->
    <?php }?>
        
</div>

<?php get_footer(); ?>