<?php
/**
 * The template for displaying Author archive pages
 *
 */
 ?> 
<?php
    get_header();
    
    if (function_exists('get_queried_object_id')) :
        $authorID = get_queried_object_id();
    else:
        $authorID = $wp_query->get_queried_object_id();
    endif;
    
    $authorLayout   = atbs_core::bk_get_theme_option('bk_author_content_layout');
    $pagination     = 'default';
    $sidebar        = atbs_core::bk_get_theme_option('bk_author_sidebar_select');
    $sidebarPos     = atbs_core::bk_get_theme_option('bk_author_sidebar_position');
    $sidebarSticky  = atbs_core::bk_get_theme_option('bk_author_sidebar_sticky'); 
    
    $sidebar_option = '';
    if(!is_active_sidebar($sidebar)) {
        $sidebar_option = 'disable';
    }
    
    $moduleID = uniqid('doris_posts_'.$authorLayout.'-');

?>
<div class="site-content">
<?php if( ($authorLayout == 'listing_list') ||
          ($authorLayout == 'listing_list_first_large') ||
          ($authorLayout == 'listing_grid') ||
          ($authorLayout == 'listing_grid_first_large') ||
          ($authorLayout == 'listing_large_post')
        ) {?>
    <div class="doris-layout-split doris-block doris-block--fullwidth">
        <div class="container <?php if($sidebar_option == 'disable') echo 'container--narrow';?>">
            <div class="row">
                <div class="<?php if($sidebar_option != 'disable') echo 'doris-main-col';?> <?php if($sidebarPos == 'left') echo('has-left-sidebar');?>" role="main">
                    <div id="<?php echo esc_attr($moduleID);?>" class="doris-block">
                        <?php echo doris_archive::author_box($authorID);?>
                        
                        <div class="spacer-lg"></div>

                        <?php echo doris_archive::archive_main_col($authorLayout, $moduleID, $pagination);?>
                        <?php echo doris_archive::bk_pagination_render($pagination);?>

                    </div><!-- .doris-block -->
                </div><!-- .doris-main-col -->
                
                <?php if($sidebar_option != 'disable'):?>
                <div class="doris-sub-col doris-sub-col--right sidebar <?php if($sidebarSticky != 0) echo 'js-sticky-sidebar';?>" role="complementary">
                    <?php 
                        dynamic_sidebar( $sidebar );
                    ?>
                </div> <!-- .doris-sub-col -->
                <?php endif;?>
            </div><!-- .row -->
        </div><!-- .container -->
    </div><!-- .doris-block -->
<?php }else {?>
    <div class="doris-layout-split doris-block doris-block--fullwidth">
        <div class="container <?php if($sidebar_option == 'disable') echo 'container--narrow';?>">
            <div class="row">
                <div class="<?php if($sidebar_option != 'disable') echo 'doris-main-col';?>" role="main">
                    <?php echo doris_archive::author_box($authorID);?>
                    <div class="spacer-lg"></div>
                    
                    <div id="<?php echo esc_attr($moduleID);?>" class="doris-block">
                        <?php echo doris_archive::archive_main_col('listing_list', $moduleID, 'default');?>
                        <?php echo doris_archive::bk_pagination_render('default');?>
                    </div><!-- .doris-block -->
                </div><!-- .doris-main-col -->
                
                <?php if($sidebar_option != 'disable'):?>
                <div class="doris-sub-col doris-sub-col--right sidebar js-sticky-sidebar" role="complementary">
                    <?php dynamic_sidebar( $sidebar ); ?>
                </div> <!-- .doris-sub-col -->
                <?php endif;?>
            </div><!-- .row -->
        </div><!-- .container -->
    </div><!-- .doris-block -->
    <?php }?>
</div><!-- Site Content -->
<?php get_footer(); ?>