<?php
/*
Template Name: Blog
*/
 ?>
<?php
    get_header();
    
    $pageID         = get_the_ID();
    $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
    query_posts('post_type=post&post_status=publish&paged=' . $paged);
    
    $archiveLayout  = atbs_core::bk_get_theme_option('bk_blog_content_layout');
    $sidebar        = atbs_core::bk_get_theme_option('bk_blog_sidebar_select');
    $sidebarPos     = atbs_core::bk_get_theme_option('bk_blog_sidebar_position');
    $sidebarSticky  = atbs_core::bk_get_theme_option('bk_blog_sidebar_sticky'); 
    $pagination     = 'default';
    $pageDescription = get_post_meta($pageID, 'bk_page_description', true);
    
    $sidebar_option = '';
    if(!is_active_sidebar($sidebar)) {
        $sidebar_option = 'disable';
    }
    
    $moduleID = uniqid('doris_posts_'.$archiveLayout.'-');
?>
<div class="site-content">       
    <?php if( ($archiveLayout == 'listing_list') ||
              ($archiveLayout == 'listing_list_first_large') ||
              ($archiveLayout == 'listing_grid') ||
              ($archiveLayout == 'listing_grid_first_large') ||
              ($archiveLayout == 'listing_large_post')
            ) {?>
    <div class="doris-layout-split doris-block doris-block--fullwidth">
        <div class="container <?php if($sidebar_option == 'disable') echo 'container--narrow';?>">
            <div class="row">
                <div class="<?php if($sidebar_option != 'disable') echo 'doris-main-col';?> <?php if($sidebarPos == 'left') echo('has-left-sidebar');?>" role="main">
                    <div class="block-heading block-doris-heading">
                        <?php
                            echo '<h2>'. get_the_title($pageID) .'</h2>';
                        ?>   
                        <div class="block-heading__subtitle"><?php echo esc_html($pageDescription);?></div>
                    </div>
                    <div id="<?php echo esc_attr($moduleID);?>" class="doris-block">
                        <?php echo doris_archive::archive_main_col($archiveLayout, $moduleID, $pagination);?>
                        <?php echo doris_archive::bk_pagination_render($pagination);?>

                    </div><!-- .doris-block -->
                </div><!-- .doris-main-col -->
                
                <?php if($sidebar_option != 'disable'):?>
                <div class="doris-sub-col doris-sub-col--right sidebar <?php if($sidebarSticky != 0) echo 'js-sticky-sidebar';?>" role="complementary">
                    <div class="theiaStickySidebar">
                        <?php dynamic_sidebar( $sidebar );?>
                    </div>
                </div> <!-- .doris-sub-col -->
                <?php endif;?>
            </div><!-- .row -->
        </div><!-- .container -->
    </div><!-- .doris-block -->
<?php }else {?>
    <div class="doris-layout-split doris-block doris-block--fullwidth">
        <div class="container <?php if($sidebar_option == 'disable') echo 'container--narrow';?>">
            <div class="row">
                <div class="<?php if($sidebar_option != 'disable') echo 'doris-main-col';?>" role="main">
                    <div class="block-heading block-doris-heading">
                        <?php
                            echo '<h2>'. get_the_title($pageID) .'</h2>';
                        ?>   
                        <div class="block-heading__subtitle"><?php echo esc_html($pageDescription);?></div>
                    </div>
                    <div id="<?php echo esc_attr($moduleID);?>" class="doris-block">
                        <?php echo doris_archive::archive_main_col('listing_list', $moduleID, 'default');?>
                        <?php echo doris_archive::bk_pagination_render('default');?>
                    </div><!-- .doris-block -->
                </div><!-- .doris-main-col -->
                
                <?php if($sidebar_option != 'disable'):?>
                <div class="doris-sub-col doris-sub-col--right sidebar js-sticky-sidebar" role="complementary">
                    <div class="theiaStickySidebar">
                    <?php dynamic_sidebar( $sidebar ); ?>
                    </div>
                </div> <!-- .doris-sub-col -->
                <?php endif;?>
            </div><!-- .row -->
        </div><!-- .container -->
    </div><!-- .doris-block -->
    <?php }?>
</div>

<?php get_footer(); ?>