<?php
/**
 * The template for displaying Category archive pages
 *
 */
 ?>
<?php
    get_header();
    $doris_option = atbs_core::bk_get_global_var('doris_option');
    
    $paged = intval(get_query_var('paged'));
    if(empty($paged) || $paged == 0) {
        $paged = 1;
    }
    
    if (function_exists('get_queried_object_id')) :
        $catID          = get_queried_object_id();
    else:
        $catID          = $wp_query->get_queried_object_id();
    endif;
    
    $archiveLayout  = doris_archive::bk_get_archive_option($catID, 'bk_category_content_layout');
    $pagination     = 'default';
    $sidebar        = doris_archive::bk_get_archive_option($catID, 'bk_category_sidebar_select');
    $sidebarPos     = doris_archive::bk_get_archive_option($catID, 'bk_category_sidebar_position');
    $sidebarSticky  = doris_archive::bk_get_archive_option($catID, 'bk_category_sidebar_sticky');
    
    $sidebar_option = '';
    if(!is_active_sidebar($sidebar)) {
        $sidebar_option = 'disable';
    }
    
    $moduleID = uniqid('doris_posts_'.$archiveLayout.'-');
    $posts_per_page = intval(get_query_var('posts_per_page'));
    
    $customArgs = array(
        'cat'               => $catID,
		'post_type'         => array( 'post' ),
		'posts_per_page'    => $posts_per_page,
        'post_status'       => 'publish',
        'offset'            => 0,
        'orderby'           => 'date',
	);
    atbs_core::bk_add_buff('query', $moduleID, 'args', $customArgs);
?>
<div class="site-content">
    
    <?php if( ($archiveLayout == 'listing_list') ||
              ($archiveLayout == 'listing_list_first_large') ||
              ($archiveLayout == 'listing_grid') ||
              ($archiveLayout == 'listing_grid_first_large') ||
              ($archiveLayout == 'listing_large_post')
            ) {?>
    <div class="doris-layout-split doris-block doris-block--fullwidth">
        <div class="container <?php if($sidebar_option == 'disable') echo 'container--narrow';?>">
            <div class="row">
                <div class="<?php if($sidebar_option != 'disable') echo 'doris-main-col';?> <?php if($sidebarPos == 'left') echo('has-left-sidebar');?>" role="main">
                    <div class="block-heading block-doris-heading">
        				<h2><?php echo get_cat_name($catID)?></h2>
                        <div class="block-heading__subtitle"><?php echo category_description($catID);?></div>
        			</div>
                    <div id="<?php echo esc_attr($moduleID);?>" class="doris-block">
                        <?php echo doris_archive::archive_main_col($archiveLayout, $moduleID, $pagination);?>
                        <?php echo doris_archive::bk_pagination_render($pagination);?>

                    </div><!-- .doris-block -->
                </div><!-- .doris-main-col -->
                
                <?php if($sidebar_option != 'disable'):?>
                <div class="doris-sub-col doris-sub-col--right sidebar <?php if($sidebarSticky != 0) echo 'js-sticky-sidebar';?>" role="complementary">
                    <?php 
                        dynamic_sidebar( $sidebar );
                    ?>
                </div> <!-- .doris-sub-col -->
                <?php endif;?>
            </div><!-- .row -->
        </div><!-- .container -->
    </div><!-- .doris-block -->
    <?php }else {?>
    <div class="doris-layout-split doris-block doris-block--fullwidth">
        <div class="container <?php if($sidebar_option == 'disable') echo 'container--narrow';?>">
            <div class="row">
                <div class="<?php if($sidebar_option != 'disable') echo 'doris-main-col';?>" role="main">
                    <div class="block-heading block-doris-heading">
            			<h2><?php echo get_cat_name($catID)?></h2>
                        <div class="block-heading__subtitle"><?php echo category_description($catID);?></div>
            		</div>
                    <div id="<?php echo esc_attr($moduleID);?>" class="doris-block">
                        <?php echo doris_archive::archive_main_col('listing_list', $moduleID, 'default');?>
                        <?php echo doris_archive::bk_pagination_render('default');?>
                    </div><!-- .doris-block -->
                </div><!-- .doris-main-col -->
                
                <?php if($sidebar_option != 'disable'):?>
                <div class="doris-sub-col doris-sub-col--right sidebar js-sticky-sidebar" role="complementary">
                    <?php dynamic_sidebar( $sidebar ); ?>
                </div> <!-- .doris-sub-col -->
                <?php endif;?>
            </div><!-- .row -->
        </div><!-- .container -->
    </div><!-- .doris-block -->
    <?php }?>
</div>

<?php get_footer(); ?>