<?php
if (!class_exists('doris_about_us')) {
    class doris_about_us {
        public function render( $page_info ) {
            global $doris_option;
            $moduleConfigs['title']     = get_post_meta( $page_info['page_id'], $page_info['block_prefix'].'_title', true );
            
            $name = get_post_meta( $page_info['page_id'], $page_info['block_prefix'].'_name', true );
            $address = get_post_meta( $page_info['page_id'], $page_info['block_prefix'].'_address', true );
            $aboutIMG = get_post_meta( $page_info['page_id'], $page_info['block_prefix'].'_about_img', true );
            
            $aboutBIO = get_post_meta( $page_info['page_id'], $page_info['block_prefix'].'_bio', true );
            $aboutSocial = get_post_meta( $page_info['page_id'], $page_info['block_prefix'].'_social_share', true );
            ?>
            <div class="doris-block doris-about-me">
                <div class="about-me__inner">
                    <?php if($moduleConfigs['title'] != '') :?>
                    <div class="block-heading block-about-heading ">
                        <?php echo atbs_core::bk_get_doris_module_heading('', $moduleConfigs['title']);?>
                    </div>
                    <?php endif;?>
                    <div class="about-me__wrap">
                        <div class="about-content clearfix">
                            <div class="about__thumb clearfix">
                               <div class="background-img" style="background-image:url(<?php echo esc_url($aboutIMG);?>)"></div>
                            </div>
                            <div class="about__text">
                               <h3 class="about__title"><?php echo esc_html($name);?></h3>
                               <p class="author-address"><?php echo esc_html($address);?></p>
                               <div class="about__bio"><?php echo esc_html($aboutBIO);?></div>
                               
                                <?php if ( isset($doris_option ['bk-social-header']) && !empty($doris_option ['bk-social-header']) ){ ?>
                                <div class="about__follow">
                                    <div class="about__follow-inner">
                                        <span><?php esc_html_e('Follow: ', 'doris');?></span>
                    					<ul class="social-list social-list--md list-horizontal">
                    						<?php echo atbs_core::bk_get_social_media_links($doris_option['bk-social-header']);?>            						
                    					</ul>
                                    </div>
                                </div>
                                <?php }?>
                            </div>
                        </div>
                    </div>
                </div>
             </div>
            <?php
    	}    
    }
}