<?php
if (!class_exists('doris_featured_grid')) {
    class doris_featured_grid {
        
        static $pageInfo=0;
        
        public function render( $page_info ) {
            $block_str = '';
            $moduleID = uniqid('doris_featured_grid-');
            
            $moduleConfigs = array();
            $moduleData = array();
            
            self::$pageInfo = $page_info;
            
            //get config
            
            $moduleConfigs['orderby']   = get_post_meta( $page_info['page_id'], $page_info['block_prefix'].'_orderby', true );
            $moduleConfigs['tags']      = get_post_meta( $page_info['page_id'], $page_info['block_prefix'].'_tags', true );
            $moduleConfigs['limit']     = 4;
            $moduleConfigs['offset']    = get_post_meta( $page_info['page_id'], $page_info['block_prefix'].'_offset', true );
            $moduleConfigs['feature']   = get_post_meta( $page_info['page_id'], $page_info['block_prefix'].'_feature', true );
            $moduleConfigs['category_id'] = get_post_meta( $page_info['page_id'], $page_info['block_prefix'].'_category', true );
            $moduleConfigs['editor_pick'] = get_post_meta( $page_info['page_id'], $page_info['block_prefix'].'_editor_pick', true );
            $moduleConfigs['editor_exclude'] = get_post_meta( $page_info['page_id'], $page_info['block_prefix'].'_editor_exclude', true );
                  
            $the_query = bk_get_query::doris_query($moduleConfigs);              //get query

            if ( $the_query->have_posts()) :
            $block_str .= '<div id="'.$moduleID.'" class="doris-block doris-block--fullwidth doris-featured-post">';
           	$block_str .= '<div class="container"><div class="featured-post__inner">';
            $block_str .= $this->render_modules($the_query);            //render modules
            $block_str .= '</div></div><!-- .container -->';
            $block_str .= '</div><!-- .doris-block -->';
            
            endif;
            
            unset($moduleConfigs); unset($the_query);     //free
            wp_reset_postdata();
            return $block_str;            
    	}
        
        public function render_modules ($the_query){
            
            $render_module = '';
            if ( $the_query->have_posts() ) : $the_query->the_post();
                $postID = get_the_ID();
                
                $thumbAttr = array (
                    'postID'        => $postID,
                    'thumbSize'     => 'doris-l-4_3',                                
                );
                $theBGLink = atbs_core::bk_get_post_thumbnail_bg_link($thumbAttr);
                $bgInline = "background: url('".$theBGLink."')";
                
                $render_module .= '<div class="big-featured-post">';
                $render_module .= '<article class="post post--horizontal post--horizontal-reverse doris-slide-featured">';
                $render_module .= '<div class="post__thumb">';
                $render_module .= '<div class="background-img" style="'.$bgInline.'"></div>';
                $render_module .= '</div>';
                $render_module .= '<div class=" post-text__wrap">';
                $render_module .= '<div class="post__text">';
                $render_module .= atbs_core::bk_get_post_cat_link($postID, '');
                $render_module .= '<h3 class="post__title">'.atbs_core::bk_get_post_title_link($postID).'</h3>';
                $render_module .= '<div class="post__readmore doris-readmore clearfix">';
                $render_module .= '<a href="'.get_permalink($postID).'" class="button__readmore"><span class="readmore__text">'.esc_html__('Read More', 'doris').'</span>';
                $render_module .= '</a>';
                $render_module .= '</div>';
                $render_module .= '</div>';
                $render_module .= '</div>';
                $render_module .= '</article>';
                $render_module .= '</div><!-- .big-featured-post -->';
            endif;
            
            if ( $the_query->have_posts() ) : $the_query->the_post();
                $postID = get_the_ID();
                
                $render_module .= '<div class="featured-post-stick">';
                $render_module .= '<article class="post post--horizontal post--horizontal-sm post--horizontal-middle">';
                $render_module .= '<div class="post-text__wrap">';
                $render_module .= '<div class="post__text">';
                $render_module .= '<h3 class="post__title">'.atbs_core::bk_get_post_title_link($postID).'</h3>';
                $render_module .= '<div class="post__readmore clearfix">';
                $render_module .= '<a href="'.get_permalink($postID).'" class="button__readmore"><span class="readmore__text">'.esc_html__('Read More', 'doris').' <i class="mdicon mdicon-navigate_next"></i></span>';
                $render_module .= '</a>';
                $render_module .= '</div>';
                $render_module .= '</div>';
                $render_module .= '</div>';
                $render_module .= '</article>';
                $render_module .= '</div><!-- .Featured-post-stick -->';
            endif;
            
            if ( $the_query->have_posts() ) :
                $render_module .= '<div class="small-featured-posts"><div class="small-post-list"><ul class="clearfix">';
                while ( $the_query->have_posts() ): $the_query->the_post();
                    $postID = get_the_ID();
                    
                    $thumbAttr = array (
                        'postID'        => $postID,
                        'thumbSize'     => 'doris-xs-4_3',                                
                    );
                    $theBGLink = atbs_core::bk_get_post_thumbnail_bg_link($thumbAttr);
                    $bgInline = "background: url('".$theBGLink."')";
                    
                    $render_module .= '<li class="small-post-content">';
                    $render_module .= '<article class="post post--horizontal post--horizontal-sm post--horizontal-middle">';
                    $render_module .= '<div class="post__thumb ">';
                    $render_module .= '<div class="background-img" style="'.$bgInline.'"></div>';
                    $render_module .= '</div>';
                    $render_module .= '<div class="post-text__wrap">';
                    $render_module .= '<div class="post__text">';
                    $render_module .= '<h3 class="post__title">'.atbs_core::bk_get_post_title_link($postID).'</h3>';
                    $render_module .= '<div class="post-meta">';
                    $render_module .= atbs_core::bk_get_post_meta(array('author'));
                    $render_module .= '</div>';
                    $render_module .= '</div>';
                    $render_module .= '</div>';
                    $render_module .= '</article>';
                    $render_module .= '</li>';
                endwhile;
                $render_module .= '</ul></div></div>';
            endif;
              
            return $render_module;
        }
    }
}