<?php
/* 
 * Sections Configuration
 */
 if ( ! function_exists( 'atbs_init_sections' ) ) {
	function atbs_init_sections() {
		$sections = array(
            'fullwidth'=> esc_html__('FullWidth Section','doris'), 'has-rsb' => esc_html__('Content Section', 'doris')
		);
		wp_localize_script( 'bk-composer-script', 'bk_sections', $sections );
        $modules = array(    
            'featured_grid' => array(
				'title' => esc_html__( 'Featured Grid', 'doris' ),
                'img'   => get_template_directory_uri().'/images/admin_panel/pagebuilder-modules/1.png',
                'tabdisable' => 'tab-option-2 tab-option-5 tab-option-6',
                'tabnames'  => array(
                    'tab-1' => 'Query Option',
                    'tab-3' => 'Manually Pick Post',
                    'tab-4' => 'Post Type',
                ),
				'options' => array(
                    // Tab 1
                    'offset' => array(
						'title' => esc_html__('Offset', 'doris' ),
						'description' => esc_html__( 'Enter the offset number', 'doris' ),
						'optionclass' => 'option-tab-1',
                        'field' => 'number',
						'default' => 0
					),
                    'feature' => array(
						'title' => esc_html__('Display featured posts as highest priority', 'doris'),
                        'description' => esc_html__( 'Yes: Display featured posts as highest priority', 'doris' ),
						'optionclass' => 'option-tab-1',
                        'field' => 'select',
						'default' => 'no',
						'options' => array(
							'no' => esc_html__( 'No', 'doris' ),
                            'yes' => esc_html__( 'Yes', 'doris' ),
						),
					),
                    'orderby' => array(
						'title' => esc_html__('Order By', 'doris' ),
                        'optionclass' => 'option-tab-1',
						'field' => 'select',
						'default' => 'date',
						'options' => array(
                            'date'              => esc_html__( 'Latest Posts', 'doris' ),
                            'comment_count'     => esc_html__( 'Popular Post by Comments', 'doris' ),
                            'view_count'        => esc_html__( 'Popular Post by Views', 'doris' ),
                            'top_review'        => esc_html__( 'Best Review', 'doris' ),
                            'modified'          => esc_html__( 'Modified', 'doris' ),
                            'speed_reads'       => esc_html__( 'Speed Reads', 'doris' ),
                            'alphabetical_asc'  => esc_html__( 'Alphabetical A->Z', 'doris' ),
                            'alphabetical_decs' => esc_html__( 'Alphabetical Z->A', 'doris' ),
						),
					), 
                    'tags' => array(
						'title' => esc_html__('Tags', 'doris' ),
						'description' => esc_html__( '[Optional] Separate tags by the comma. e.g. tag1,tag2', 'doris' ),
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
					'category' => array(
						'title' => esc_html__('Category', 'doris' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'doris' ),
						'optionclass' => 'option-tab-1',
                        'field' => 'category',
						'default' => '0',
					),
                    // Tab 3
                    'editor_pick' => array(
						'title' => esc_html__('Manually Pick Post (By Post IDs)', 'doris' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma - Must Pick The review Post', 'doris' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    'editor_exclude' => array(
						'title' => esc_html__('Manually Exclude Posts (By Post IDs)', 'doris' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma', 'doris' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    // Tab 4
                    'post_source' => array(
						'title' => esc_html__('Show only Post Type', 'doris' ),
                        'description' => esc_html__( 'All - Show All Post Type and Will Not Display Post Icon', 'doris' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'all',
						'options' => array(
                            'all'        => esc_html__( 'All', 'doris' ),
							'video'      => esc_html__( 'Video', 'doris' ),
                            'gallery'    => esc_html__( 'Gallery', 'doris' ),
                            'review'     => esc_html__( 'Review', 'doris' ),
						),
					),    
				),
            ),    
            'posts_grid_a' => array(
				'title' => esc_html__( 'Posts Grid A', 'doris' ),
                'img'   => get_template_directory_uri().'/images/admin_panel/pagebuilder-modules/2.png',
                'tabdisable' => 'tab-option-5 tab-option-6',
                'tabnames'  => array(
                    'tab-1' => 'General',
                    'tab-2' => 'Query Option',
                    'tab-3' => 'Manually Pick Post',
                    'tab-4' => 'Post Type',
                ),
				'options' => array(
                    // Tab 1
                    'title' => array(
						'title' => esc_html__('Title', 'doris' ),
						'description' => esc_html__( 'Lower Font Weight by put the text inside <span> tag', 'doris' ),
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    // Tab 2
                    'offset' => array(
						'title' => esc_html__('Offset', 'doris' ),
						'description' => esc_html__( 'Enter the offset number', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'number',
						'default' => 0
					),
                    'feature' => array(
						'title' => esc_html__('Display featured posts as highest priority', 'doris'),
                        'description' => esc_html__( 'Yes: Display featured posts as highest priority', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'select',
						'default' => 'no',
						'options' => array(
							'no' => esc_html__( 'No', 'doris' ),
                            'yes' => esc_html__( 'Yes', 'doris' ),
						),
					),
                    'orderby' => array(
						'title' => esc_html__('Order By', 'doris' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'select',
						'default' => 'date',
						'options' => array(
                            'date'              => esc_html__( 'Latest Posts', 'doris' ),
                            'comment_count'     => esc_html__( 'Popular Post by Comments', 'doris' ),
                            'view_count'        => esc_html__( 'Popular Post by Views', 'doris' ),
                            'top_review'        => esc_html__( 'Best Review', 'doris' ),
                            'modified'          => esc_html__( 'Modified', 'doris' ),
                            'speed_reads'       => esc_html__( 'Speed Reads', 'doris' ),
                            'alphabetical_asc'  => esc_html__( 'Alphabetical A->Z', 'doris' ),
                            'alphabetical_decs' => esc_html__( 'Alphabetical Z->A', 'doris' ),
						),
					), 
                    'tags' => array(
						'title' => esc_html__('Tags IDs', 'doris' ),
						'description' => esc_html__( '[Optional] Separate tags by the comma. e.g. tag1,tag2', 'doris' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'text',
						'default' => '',
					),
					'category' => array(
						'title' => esc_html__('Category', 'doris' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'category',
						'default' => '0',
					),
                    // Tab 3
                    'editor_pick' => array(
						'title' => esc_html__('Manually Pick Post (By Post IDs)', 'doris' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma - Must Pick The review Post', 'doris' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    'editor_exclude' => array(
						'title' => esc_html__('Manually Exclude Posts (By Post IDs)', 'doris' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma', 'doris' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    // Tab 4
                    'post_source' => array(
						'title' => esc_html__('Show only Post Type', 'doris' ),
                        'description' => esc_html__( 'All - Show All Post Type and Will Not Display Post Icon', 'doris' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'all',
						'options' => array(
                            'all'        => esc_html__( 'All', 'doris' ),
							'video'      => esc_html__( 'Video', 'doris' ),
                            'gallery'    => esc_html__( 'Gallery', 'doris' ),
                            'review'     => esc_html__( 'Review', 'doris' ),
						),
					),    
				),
            ),
            'posts_grid_b' => array(
				'title' => esc_html__( 'Posts Grid B', 'doris' ),
                'img'   => get_template_directory_uri().'/images/admin_panel/pagebuilder-modules/3.png',
                'tabdisable' => 'tab-option-5 tab-option-6',
                'tabnames'  => array(
                    'tab-1' => 'General',
                    'tab-2' => 'Query Option',
                    'tab-3' => 'Manually Pick Post',
                    'tab-4' => 'Post Type',
                ),
				'options' => array(
                    // Tab 1
                    'title' => array(
						'title' => esc_html__('Title', 'doris' ),
						'description' => esc_html__( 'Lower Font Weight by put the text inside <span> tag', 'doris' ),
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    // Tab 2
                    'offset' => array(
						'title' => esc_html__('Offset', 'doris' ),
						'description' => esc_html__( 'Enter the offset number', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'number',
						'default' => 0
					),
                    'feature' => array(
						'title' => esc_html__('Display featured posts as highest priority', 'doris'),
                        'description' => esc_html__( 'Yes: Display featured posts as highest priority', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'select',
						'default' => 'no',
						'options' => array(
							'no' => esc_html__( 'No', 'doris' ),
                            'yes' => esc_html__( 'Yes', 'doris' ),
						),
					),
                    'orderby' => array(
						'title' => esc_html__('Order By', 'doris' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'select',
						'default' => 'date',
						'options' => array(
                            'date'              => esc_html__( 'Latest Posts', 'doris' ),
                            'comment_count'     => esc_html__( 'Popular Post by Comments', 'doris' ),
                            'view_count'        => esc_html__( 'Popular Post by Views', 'doris' ),
                            'top_review'        => esc_html__( 'Best Review', 'doris' ),
                            'modified'          => esc_html__( 'Modified', 'doris' ),
                            'speed_reads'       => esc_html__( 'Speed Reads', 'doris' ),
                            'alphabetical_asc'  => esc_html__( 'Alphabetical A->Z', 'doris' ),
                            'alphabetical_decs' => esc_html__( 'Alphabetical Z->A', 'doris' ),
						),
					), 
                    'tags' => array(
						'title' => esc_html__('Tags IDs', 'doris' ),
						'description' => esc_html__( '[Optional] Separate tags by the comma. e.g. tag1,tag2', 'doris' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'text',
						'default' => '',
					),
					'category' => array(
						'title' => esc_html__('Category', 'doris' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'category',
						'default' => '0',
					),
                    // Tab 3
                    'editor_pick' => array(
						'title' => esc_html__('Manually Pick Post (By Post IDs)', 'doris' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma - Must Pick The review Post', 'doris' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    'editor_exclude' => array(
						'title' => esc_html__('Manually Exclude Posts (By Post IDs)', 'doris' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma', 'doris' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    // Tab 4
                    'post_source' => array(
						'title' => esc_html__('Show only Post Type', 'doris' ),
                        'description' => esc_html__( 'All - Show All Post Type and Will Not Display Post Icon', 'doris' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'all',
						'options' => array(
                            'all'        => esc_html__( 'All', 'doris' ),
							'video'      => esc_html__( 'Video', 'doris' ),
                            'gallery'    => esc_html__( 'Gallery', 'doris' ),
                            'review'     => esc_html__( 'Review', 'doris' ),
						),
					),    
				),
            ),
            'posts_grid_c' => array(
				'title' => esc_html__( 'Posts Grid C', 'doris' ),
                'img'   => get_template_directory_uri().'/images/admin_panel/pagebuilder-modules/4.png',
                'tabdisable' => 'tab-option-5 tab-option-6',
                'tabnames'  => array(
                    'tab-1' => 'General',
                    'tab-2' => 'Query Option',
                    'tab-3' => 'Manually Pick Post',
                    'tab-4' => 'Post Type',
                ),
				'options' => array(
                    // Tab 1
                    'title' => array(
						'title' => esc_html__('Title', 'doris' ),
						'description' => esc_html__( 'Lower Font Weight by put the text inside <span> tag', 'doris' ),
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    // Tab 2
                    'offset' => array(
						'title' => esc_html__('Offset', 'doris' ),
						'description' => esc_html__( 'Enter the offset number', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'number',
						'default' => 0
					),
                    'feature' => array(
						'title' => esc_html__('Display featured posts as highest priority', 'doris'),
                        'description' => esc_html__( 'Yes: Display featured posts as highest priority', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'select',
						'default' => 'no',
						'options' => array(
							'no' => esc_html__( 'No', 'doris' ),
                            'yes' => esc_html__( 'Yes', 'doris' ),
						),
					),
                    'orderby' => array(
						'title' => esc_html__('Order By', 'doris' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'select',
						'default' => 'date',
						'options' => array(
                            'date'              => esc_html__( 'Latest Posts', 'doris' ),
                            'comment_count'     => esc_html__( 'Popular Post by Comments', 'doris' ),
                            'view_count'        => esc_html__( 'Popular Post by Views', 'doris' ),
                            'top_review'        => esc_html__( 'Best Review', 'doris' ),
                            'modified'          => esc_html__( 'Modified', 'doris' ),
                            'speed_reads'       => esc_html__( 'Speed Reads', 'doris' ),
                            'alphabetical_asc'  => esc_html__( 'Alphabetical A->Z', 'doris' ),
                            'alphabetical_decs' => esc_html__( 'Alphabetical Z->A', 'doris' ),
						),
					), 
                    'tags' => array(
						'title' => esc_html__('Tags IDs', 'doris' ),
						'description' => esc_html__( '[Optional] Separate tags by the comma. e.g. tag1,tag2', 'doris' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'text',
						'default' => '',
					),
					'category' => array(
						'title' => esc_html__('Category', 'doris' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'category',
						'default' => '0',
					),
                    // Tab 3
                    'editor_pick' => array(
						'title' => esc_html__('Manually Pick Post (By Post IDs)', 'doris' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma - Must Pick The review Post', 'doris' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    'editor_exclude' => array(
						'title' => esc_html__('Manually Exclude Posts (By Post IDs)', 'doris' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma', 'doris' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    // Tab 4
                    'post_source' => array(
						'title' => esc_html__('Show only Post Type', 'doris' ),
                        'description' => esc_html__( 'All - Show All Post Type and Will Not Display Post Icon', 'doris' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'all',
						'options' => array(
                            'all'        => esc_html__( 'All', 'doris' ),
							'video'      => esc_html__( 'Video', 'doris' ),
                            'gallery'    => esc_html__( 'Gallery', 'doris' ),
                            'review'     => esc_html__( 'Review', 'doris' ),
						),
					),    
				),
            ),
            'posts_grid_d' => array(
				'title' => esc_html__( 'Posts Grid D', 'doris' ),
                'img'   => get_template_directory_uri().'/images/admin_panel/pagebuilder-modules/5.png',
                'tabdisable' => 'tab-option-5 tab-option-6',
                'tabnames'  => array(
                    'tab-1' => 'General',
                    'tab-2' => 'Query Option',
                    'tab-3' => 'Manually Pick Post',
                    'tab-4' => 'Post Type',
                ),
				'options' => array(
                    // Tab 1
                    'title' => array(
						'title' => esc_html__('Title', 'doris' ),
						'description' => esc_html__( 'Lower Font Weight by put the text inside <span> tag', 'doris' ),
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    // Tab 2
                    'offset' => array(
						'title' => esc_html__('Offset', 'doris' ),
						'description' => esc_html__( 'Enter the offset number', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'number',
						'default' => 0
					),
                    'feature' => array(
						'title' => esc_html__('Display featured posts as highest priority', 'doris'),
                        'description' => esc_html__( 'Yes: Display featured posts as highest priority', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'select',
						'default' => 'no',
						'options' => array(
							'no' => esc_html__( 'No', 'doris' ),
                            'yes' => esc_html__( 'Yes', 'doris' ),
						),
					),
                    'orderby' => array(
						'title' => esc_html__('Order By', 'doris' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'select',
						'default' => 'date',
						'options' => array(
                            'date'              => esc_html__( 'Latest Posts', 'doris' ),
                            'comment_count'     => esc_html__( 'Popular Post by Comments', 'doris' ),
                            'view_count'        => esc_html__( 'Popular Post by Views', 'doris' ),
                            'top_review'        => esc_html__( 'Best Review', 'doris' ),
                            'modified'          => esc_html__( 'Modified', 'doris' ),
                            'speed_reads'       => esc_html__( 'Speed Reads', 'doris' ),
                            'alphabetical_asc'  => esc_html__( 'Alphabetical A->Z', 'doris' ),
                            'alphabetical_decs' => esc_html__( 'Alphabetical Z->A', 'doris' ),
						),
					), 
                    'tags' => array(
						'title' => esc_html__('Tags IDs', 'doris' ),
						'description' => esc_html__( '[Optional] Separate tags by the comma. e.g. tag1,tag2', 'doris' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'text',
						'default' => '',
					),
					'category' => array(
						'title' => esc_html__('Category', 'doris' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'category',
						'default' => '0',
					),
                    // Tab 3
                    'editor_pick' => array(
						'title' => esc_html__('Manually Pick Post (By Post IDs)', 'doris' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma - Must Pick The review Post', 'doris' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    'editor_exclude' => array(
						'title' => esc_html__('Manually Exclude Posts (By Post IDs)', 'doris' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma', 'doris' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    // Tab 4
                    'post_source' => array(
						'title' => esc_html__('Show only Post Type', 'doris' ),
                        'description' => esc_html__( 'All - Show All Post Type and Will Not Display Post Icon', 'doris' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'all',
						'options' => array(
                            'all'        => esc_html__( 'All', 'doris' ),
							'video'      => esc_html__( 'Video', 'doris' ),
                            'gallery'    => esc_html__( 'Gallery', 'doris' ),
                            'review'     => esc_html__( 'Review', 'doris' ),
						),
					),    
				),
            ),
            'carousel_overlay_post_center' => array(
				'title' => esc_html__( 'Slider Overlay Center', 'doris' ),
                'img'   => get_template_directory_uri().'/images/admin_panel/pagebuilder-modules/doris-slider.png',
                'tabdisable' => 'tab-option-5 tab-option-6',
                'tabnames'  => array(
                    'tab-1' => 'General',
                    'tab-2' => 'Query Option',
                    'tab-3' => 'Manually Pick Post',
                    'tab-4' => 'Post Type',
                ),
				'options' => array(
                    // Tab 1
                    'title' => array(
						'title' => esc_html__('Title', 'doris' ),
						'description' => esc_html__( 'Lower Font Weight by put the text inside <span> tag', 'doris' ),
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    'carousel_loop' => array(
						'title' => esc_html__('Carousel Loop', 'doris' ),
                        'optionclass' => 'option-tab-1',
						'field' => 'select',
						'default' => 'true',
						'options' => array(
                            'true'     => esc_html__( 'True', 'doris' ),
							'false'    => esc_html__( 'False', 'doris' ),
						),
					),    
                    'carousel_dot_nav' => array(
						'title' => esc_html__('Carousel Dot Navigation', 'doris' ),
                        'optionclass' => 'option-tab-1',
						'field' => 'select',
						'default' => 0,
						'options' => array(
                            1     => esc_html__( 'True', 'doris' ),
							0     => esc_html__( 'False', 'doris' ),
						),
					),
                    
                    // Tab 2
                    'limit' => array(
						'title' => esc_html__('Number of Posts', 'doris' ),
						'description' => esc_html__( 'Enter the number of posts', 'doris' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'number',
						'default' => 7
					),
                    'offset' => array(
						'title' => esc_html__('Offset', 'doris' ),
						'description' => esc_html__( 'Enter the offset number', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'number',
						'default' => 0
					),
                    'feature' => array(
						'title' => esc_html__('Display featured posts as highest priority', 'doris'),
                        'description' => esc_html__( 'Yes: Display featured posts as highest priority', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'select',
						'default' => 'no',
						'options' => array(
							'no' => esc_html__( 'No', 'doris' ),
                            'yes' => esc_html__( 'Yes', 'doris' ),
						),
					),
                    'orderby' => array(
						'title' => esc_html__('Order By', 'doris' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'select',
						'default' => 'date',
						'options' => array(
                            'date'              => esc_html__( 'Latest Posts', 'doris' ),
                            'comment_count'     => esc_html__( 'Popular Post by Comments', 'doris' ),
                            'view_count'        => esc_html__( 'Popular Post by Views', 'doris' ),
                            'top_review'        => esc_html__( 'Best Review', 'doris' ),
                            'modified'          => esc_html__( 'Modified', 'doris' ),
                            'speed_reads'       => esc_html__( 'Speed Reads', 'doris' ),
                            'alphabetical_asc'  => esc_html__( 'Alphabetical A->Z', 'doris' ),
                            'alphabetical_decs' => esc_html__( 'Alphabetical Z->A', 'doris' ),
						),
					), 
                    'tags' => array(
						'title' => esc_html__('Tags', 'doris' ),
						'description' => esc_html__( '[Optional] Separate tags by the comma. e.g. tag1,tag2', 'doris' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'text',
						'default' => '',
					),
					'category' => array(
						'title' => esc_html__('Category', 'doris' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'category',
						'default' => '0',
					),
                    // Tab 3
                    'editor_pick' => array(
						'title' => esc_html__('Manually Pick Post (By Post IDs)', 'doris' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma - Must Pick The review Post', 'doris' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    'editor_exclude' => array(
						'title' => esc_html__('Manually Exclude Posts (By Post IDs)', 'doris' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma', 'doris' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    // Tab 4
                    'post_source' => array(
						'title' => esc_html__('Show only Post Type', 'doris' ),
                        'description' => esc_html__( 'All - Show All Post Type and Will Not Display Post Icon', 'doris' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'all',
						'options' => array(
                            'all'        => esc_html__( 'All', 'doris' ),
							'video'      => esc_html__( 'Video', 'doris' ),
                            'gallery'    => esc_html__( 'Gallery', 'doris' ),
                            'review'     => esc_html__( 'Review', 'doris' ),
						),
					),    
                    'post_icon' => array(
						'title' => esc_html__('Post Icon', 'doris' ),
                        'description' => esc_html__( 'Configure Post Icon on This Module', 'doris' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'disable',
						'options' => array(
                            'disable'           => esc_html__( 'Disable Post Icon', 'doris' ),
							'enable'            => esc_html__( 'Enable Post Icon', 'doris' ),
						),
					), 
				),
            ), 
            'carousel_overlay_post_2i' => array(
				'title' => esc_html__( 'Carousel Overlay Post 2 Items', 'doris' ),
                'img'   => get_template_directory_uri().'/images/admin_panel/pagebuilder-modules/41.png',
                'tabdisable' => 'tab-option-5 tab-option-6',
                'tabnames'  => array(
                    'tab-1' => 'General',
                    'tab-2' => 'Query Option',
                    'tab-3' => 'Manually Pick Post',
                    'tab-4' => 'Post Type',
                ),
				'options' => array(
                    // Tab 1
                    'title' => array(
						'title' => esc_html__('Title', 'doris' ),
						'description' => esc_html__( 'Lower Font Weight by put the text inside <span> tag', 'doris' ),
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    'carousel_loop' => array(
						'title' => esc_html__('Carousel Loop', 'doris' ),
                        'optionclass' => 'option-tab-1',
						'field' => 'select',
						'default' => 'true',
						'options' => array(
                            'true'     => esc_html__( 'True', 'doris' ),
							'false'    => esc_html__( 'False', 'doris' ),
						),
					),    
                    'carousel_dot_nav' => array(
						'title' => esc_html__('Carousel Dot Navigation', 'doris' ),
                        'optionclass' => 'option-tab-1',
						'field' => 'select',
						'default' => 0,
						'options' => array(
                            1     => esc_html__( 'True', 'doris' ),
							0     => esc_html__( 'False', 'doris' ),
						),
					),
                    
                    // Tab 2
                    'limit' => array(
						'title' => esc_html__('Number of Posts', 'doris' ),
						'description' => esc_html__( 'Enter the number of posts', 'doris' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'number',
						'default' => 7
					),
                    'offset' => array(
						'title' => esc_html__('Offset', 'doris' ),
						'description' => esc_html__( 'Enter the offset number', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'number',
						'default' => 0
					),
                    'feature' => array(
						'title' => esc_html__('Display featured posts as highest priority', 'doris'),
                        'description' => esc_html__( 'Yes: Display featured posts as highest priority', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'select',
						'default' => 'no',
						'options' => array(
							'no' => esc_html__( 'No', 'doris' ),
                            'yes' => esc_html__( 'Yes', 'doris' ),
						),
					),
                    'orderby' => array(
						'title' => esc_html__('Order By', 'doris' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'select',
						'default' => 'date',
						'options' => array(
                            'date'              => esc_html__( 'Latest Posts', 'doris' ),
                            'comment_count'     => esc_html__( 'Popular Post by Comments', 'doris' ),
                            'view_count'        => esc_html__( 'Popular Post by Views', 'doris' ),
                            'top_review'        => esc_html__( 'Best Review', 'doris' ),
                            'modified'          => esc_html__( 'Modified', 'doris' ),
                            'speed_reads'       => esc_html__( 'Speed Reads', 'doris' ),
                            'alphabetical_asc'  => esc_html__( 'Alphabetical A->Z', 'doris' ),
                            'alphabetical_decs' => esc_html__( 'Alphabetical Z->A', 'doris' ),
						),
					), 
                    'tags' => array(
						'title' => esc_html__('Tags', 'doris' ),
						'description' => esc_html__( '[Optional] Separate tags by the comma. e.g. tag1,tag2', 'doris' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'text',
						'default' => '',
					),
					'category' => array(
						'title' => esc_html__('Category', 'doris' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'category',
						'default' => '0',
					),
                    // Tab 3
                    'editor_pick' => array(
						'title' => esc_html__('Manually Pick Post (By Post IDs)', 'doris' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma - Must Pick The review Post', 'doris' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    'editor_exclude' => array(
						'title' => esc_html__('Manually Exclude Posts (By Post IDs)', 'doris' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma', 'doris' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    // Tab 4
                    'post_source' => array(
						'title' => esc_html__('Show only Post Type', 'doris' ),
                        'description' => esc_html__( 'All - Show All Post Type and Will Not Display Post Icon', 'doris' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'all',
						'options' => array(
                            'all'        => esc_html__( 'All', 'doris' ),
							'video'      => esc_html__( 'Video', 'doris' ),
                            'gallery'    => esc_html__( 'Gallery', 'doris' ),
                            'review'     => esc_html__( 'Review', 'doris' ),
						),
					),    
                    'post_icon' => array(
						'title' => esc_html__('Post Icon', 'doris' ),
                        'description' => esc_html__( 'Configure Post Icon on This Module', 'doris' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'disable',
						'options' => array(
                            'disable'           => esc_html__( 'Disable Post Icon', 'doris' ),
							'enable'            => esc_html__( 'Enable Post Icon', 'doris' ),
						),
					), 
				),
            ), 
            'carousel_overlay_post_3i' => array(
				'title' => esc_html__( 'Carousel Overlay Post 3 Items', 'doris' ),
                'img'   => get_template_directory_uri().'/images/admin_panel/pagebuilder-modules/34.png',
                'tabdisable' => 'tab-option-5 tab-option-6',
                'tabnames'  => array(
                    'tab-1' => 'General',
                    'tab-2' => 'Query Option',
                    'tab-3' => 'Manually Pick Post',
                    'tab-4' => 'Post Type',
                ),
				'options' => array(
                    // Tab 1
                    'title' => array(
						'title' => esc_html__('Title', 'doris' ),
						'description' => esc_html__( 'Lower Font Weight by put the text inside <span> tag', 'doris' ),
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    'carousel_loop' => array(
						'title' => esc_html__('Carousel Loop', 'doris' ),
                        'optionclass' => 'option-tab-1',
						'field' => 'select',
						'default' => 'true',
						'options' => array(
                            'true'     => esc_html__( 'True', 'doris' ),
							'false'    => esc_html__( 'False', 'doris' ),
						),
					),    
                    'carousel_dot_nav' => array(
						'title' => esc_html__('Carousel Dot Navigation', 'doris' ),
                        'optionclass' => 'option-tab-1',
						'field' => 'select',
						'default' => 0,
						'options' => array(
                            1     => esc_html__( 'True', 'doris' ),
							0     => esc_html__( 'False', 'doris' ),
						),
					),
                    
                    // Tab 2
                    'limit' => array(
						'title' => esc_html__('Number of Posts', 'doris' ),
						'description' => esc_html__( 'Enter the number of posts', 'doris' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'number',
						'default' => 7
					),
                    'offset' => array(
						'title' => esc_html__('Offset', 'doris' ),
						'description' => esc_html__( 'Enter the offset number', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'number',
						'default' => 0
					),
                    'feature' => array(
						'title' => esc_html__('Display featured posts as highest priority', 'doris'),
                        'description' => esc_html__( 'Yes: Display featured posts as highest priority', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'select',
						'default' => 'no',
						'options' => array(
							'no' => esc_html__( 'No', 'doris' ),
                            'yes' => esc_html__( 'Yes', 'doris' ),
						),
					),
                    'orderby' => array(
						'title' => esc_html__('Order By', 'doris' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'select',
						'default' => 'date',
						'options' => array(
                            'date'              => esc_html__( 'Latest Posts', 'doris' ),
                            'comment_count'     => esc_html__( 'Popular Post by Comments', 'doris' ),
                            'view_count'        => esc_html__( 'Popular Post by Views', 'doris' ),
                            'top_review'        => esc_html__( 'Best Review', 'doris' ),
                            'modified'          => esc_html__( 'Modified', 'doris' ),
                            'speed_reads'       => esc_html__( 'Speed Reads', 'doris' ),
                            'alphabetical_asc'  => esc_html__( 'Alphabetical A->Z', 'doris' ),
                            'alphabetical_decs' => esc_html__( 'Alphabetical Z->A', 'doris' ),
						),
					), 
                    'tags' => array(
						'title' => esc_html__('Tags', 'doris' ),
						'description' => esc_html__( '[Optional] Separate tags by the comma. e.g. tag1,tag2', 'doris' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'text',
						'default' => '',
					),
					'category' => array(
						'title' => esc_html__('Category', 'doris' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'category',
						'default' => '0',
					),
                    // Tab 3
                    'editor_pick' => array(
						'title' => esc_html__('Manually Pick Post (By Post IDs)', 'doris' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma - Must Pick The review Post', 'doris' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    'editor_exclude' => array(
						'title' => esc_html__('Manually Exclude Posts (By Post IDs)', 'doris' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma', 'doris' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    // Tab 4
                    'post_source' => array(
						'title' => esc_html__('Show only Post Type', 'doris' ),
                        'description' => esc_html__( 'All - Show All Post Type and Will Not Display Post Icon', 'doris' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'all',
						'options' => array(
                            'all'        => esc_html__( 'All', 'doris' ),
							'video'      => esc_html__( 'Video', 'doris' ),
                            'gallery'    => esc_html__( 'Gallery', 'doris' ),
                            'review'     => esc_html__( 'Review', 'doris' ),
						),
					),    
                    'post_icon' => array(
						'title' => esc_html__('Post Icon', 'doris' ),
                        'description' => esc_html__( 'Configure Post Icon on This Module', 'doris' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'disable',
						'options' => array(
                            'disable'           => esc_html__( 'Disable Post Icon', 'doris' ),
							'enable'            => esc_html__( 'Enable Post Icon', 'doris' ),
						),
					), 
				),
            ), 
            'carousel_overlay_post_4i' => array(
				'title' => esc_html__( 'Carousel Overlay Post 4 Items', 'doris' ),
                'img'   => get_template_directory_uri().'/images/admin_panel/pagebuilder-modules/36.png',
                'tabdisable' => 'tab-option-5 tab-option-6',
                'tabnames'  => array(
                    'tab-1' => 'General',
                    'tab-2' => 'Query Option',
                    'tab-3' => 'Manually Pick Post',
                    'tab-4' => 'Post Type',
                    'tab-5' => 'Post Info',
                ),
				'options' => array(
                    // Tab 1
                    'title' => array(
						'title' => esc_html__('Title', 'doris' ),
						'description' => esc_html__( 'Lower Font Weight by put the text inside <span> tag', 'doris' ),
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    'carousel_loop' => array(
						'title' => esc_html__('Carousel Loop', 'doris' ),
                        'optionclass' => 'option-tab-1',
						'field' => 'select',
						'default' => 'true',
						'options' => array(
                            'true'     => esc_html__( 'True', 'doris' ),
							'false'    => esc_html__( 'False', 'doris' ),
						),
					),  
                    'carousel_style' => array(
						'title' => esc_html__('Carousel Style', 'doris' ),
                        'optionclass' => 'option-tab-1',
						'field' => 'select',
						'default' => 'wide',
						'options' => array(
                            'boxed'     => esc_html__( 'Boxed', 'doris' ),
							'wide'    => esc_html__( 'Wide', 'doris' ),
						),
					),  
                    'carousel_dot_nav' => array(
						'title' => esc_html__('Carousel Dot Navigation', 'doris' ),
                        'optionclass' => 'option-tab-1',
						'field' => 'select',
						'default' => 0,
						'options' => array(
                            1     => esc_html__( 'True', 'doris' ),
							0     => esc_html__( 'False', 'doris' ),
						),
					),
                    
                    // Tab 2
                    'limit' => array(
						'title' => esc_html__('Number of Posts', 'doris' ),
						'description' => esc_html__( 'Enter the number of posts', 'doris' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'number',
						'default' => 7
					),
                    'offset' => array(
						'title' => esc_html__('Offset', 'doris' ),
						'description' => esc_html__( 'Enter the offset number', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'number',
						'default' => 0
					),
                    'feature' => array(
						'title' => esc_html__('Display featured posts as highest priority', 'doris'),
                        'description' => esc_html__( 'Yes: Display featured posts as highest priority', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'select',
						'default' => 'no',
						'options' => array(
							'no' => esc_html__( 'No', 'doris' ),
                            'yes' => esc_html__( 'Yes', 'doris' ),
						),
					),
                    'orderby' => array(
						'title' => esc_html__('Order By', 'doris' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'select',
						'default' => 'date',
						'options' => array(
                            'date'              => esc_html__( 'Latest Posts', 'doris' ),
                            'comment_count'     => esc_html__( 'Popular Post by Comments', 'doris' ),
                            'view_count'        => esc_html__( 'Popular Post by Views', 'doris' ),
                            'top_review'        => esc_html__( 'Best Review', 'doris' ),
                            'modified'          => esc_html__( 'Modified', 'doris' ),
                            'speed_reads'       => esc_html__( 'Speed Reads', 'doris' ),
                            'alphabetical_asc'  => esc_html__( 'Alphabetical A->Z', 'doris' ),
                            'alphabetical_decs' => esc_html__( 'Alphabetical Z->A', 'doris' ),
						),
					), 
                    'tags' => array(
						'title' => esc_html__('Tags', 'doris' ),
						'description' => esc_html__( '[Optional] Separate tags by the comma. e.g. tag1,tag2', 'doris' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'text',
						'default' => '',
					),
					'category' => array(
						'title' => esc_html__('Category', 'doris' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'category',
						'default' => '0',
					),
                    // Tab 3
                    'editor_pick' => array(
						'title' => esc_html__('Manually Pick Post (By Post IDs)', 'doris' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma - Must Pick The review Post', 'doris' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    'editor_exclude' => array(
						'title' => esc_html__('Manually Exclude Posts (By Post IDs)', 'doris' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma', 'doris' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    // Tab 4
                    'post_source' => array(
						'title' => esc_html__('Show only Post Type', 'doris' ),
                        'description' => esc_html__( 'All - Show All Post Type and Will Not Display Post Icon', 'doris' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'all',
						'options' => array(
                            'all'        => esc_html__( 'All', 'doris' ),
							'video'      => esc_html__( 'Video', 'doris' ),
                            'gallery'    => esc_html__( 'Gallery', 'doris' ),
                            'review'     => esc_html__( 'Review', 'doris' ),
						),
					),    
                    'post_icon' => array(
						'title' => esc_html__('Post Icon', 'doris' ),
                        'description' => esc_html__( 'Configure Post Icon on This Module', 'doris' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'disable',
						'options' => array(
                            'disable'           => esc_html__( 'Disable Post Icon', 'doris' ),
							'enable'            => esc_html__( 'Enable Post Icon', 'doris' ),
						),
					), 
				),
            ), 
            'posts_listing_grid_fw' => array(
				'title' => esc_html__( 'Posts Listing Grid', 'doris' ),
                'img'   => get_template_directory_uri().'/images/admin_panel/pagebuilder-modules/44.png',
                'tabdisable' => 'tab-option-5 tab-option-6',
                'tabnames'  => array(
                    'tab-1' => 'General',
                    'tab-2' => 'Query Option',
                    'tab-3' => 'Manually Pick Post',
                    'tab-4' => 'Post Type',
                ),
				'options' => array(
                    // Tab 1
                    'title' => array(
						'title' => esc_html__('Main Title', 'doris' ),
						'description' => '',
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    'ajax_load_more' => array(
						'title' => esc_html__('Ajax Load More', 'doris'),
                        'description' => esc_html__( 'Select an Ajax Load More Type', 'doris' ),
						'optionclass' => 'option-tab-1 doris-ajax-load-more',
                        'field' => 'select',
						'default' => 'disable',
						'options' => array(
							'disable' => esc_html__( 'Disable', 'doris' ),
                            'pagination' => esc_html__( 'Ajax Pagination', 'doris' ),
                            'loadmore' => esc_html__( 'Ajax Load More Button', 'doris' ),
						),
					),
                    // Tab 2
                    'limit' => array(
						'title' => esc_html__('Number of Posts', 'doris' ),
						'description' => esc_html__( 'Enter the number of posts (Should be even number: 4, 6, 8, etc.)', 'doris' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'number',
						'default' => 8
					),
                    'offset' => array(
						'title' => esc_html__('Offset', 'doris' ),
						'description' => esc_html__( 'Enter the offset number', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'number',
						'default' => 0
					),
                    'feature' => array(
						'title' => esc_html__('Display featured posts as highest priority', 'doris'),
                        'description' => esc_html__( 'Yes: Display featured posts as highest priority', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'select',
						'default' => 'no',
						'options' => array(
							'no' => esc_html__( 'No', 'doris' ),
                            'yes' => esc_html__( 'Yes', 'doris' ),
						),
					),
                    'orderby' => array(
						'title' => esc_html__('Order By', 'doris' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'select',
						'default' => 'date',
						'options' => array(
                            'date'              => esc_html__( 'Latest Posts', 'doris' ),
                            'comment_count'     => esc_html__( 'Popular Post by Comments', 'doris' ),
                            'view_count'        => esc_html__( 'Popular Post by Views', 'doris' ),
                            'top_review'        => esc_html__( 'Best Review', 'doris' ),
                            'modified'          => esc_html__( 'Modified', 'doris' ),
                            'speed_reads'       => esc_html__( 'Speed Reads', 'doris' ),
                            'alphabetical_asc'  => esc_html__( 'Alphabetical A->Z', 'doris' ),
                            'alphabetical_decs' => esc_html__( 'Alphabetical Z->A', 'doris' ),
						),
					), 
                    'tags' => array(
						'title' => esc_html__('Tags', 'doris' ),
						'description' => esc_html__( '[Optional] Separate tags by the comma. e.g. tag1,tag2', 'doris' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'text',
						'default' => '',
					),
					'category' => array(
						'title' => esc_html__('Category', 'doris' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'category',
						'default' => '0',
					),
                    // Tab 3
                    'editor_pick' => array(
						'title' => esc_html__('Manually Pick Post (By Post IDs)', 'doris' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma, Must Pick the Video Posts', 'doris' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    'editor_exclude' => array(
						'title' => esc_html__('Manually Exclude Posts (By Post IDs)', 'doris' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma', 'doris' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    // Tab 4
                    'post_source' => array(
						'title' => esc_html__('Show only Post Type', 'doris' ),
                        'description' => esc_html__( 'All - Show All Post Type and Will Not Display Post Icon', 'doris' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'all',
						'options' => array(
                            'all'        => esc_html__( 'All', 'doris' ),
							'video'      => esc_html__( 'Video', 'doris' ),
                            'gallery'    => esc_html__( 'Gallery', 'doris' ),
                            'review'     => esc_html__( 'Review', 'doris' ),
						),
					), 
                    'post_icon' => array(
						'title' => esc_html__('Post Icon', 'doris' ),
                        'description' => esc_html__( 'Configure Post Icon on This Module', 'doris' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'disable',
						'options' => array(
                            'disable'           => esc_html__( 'Disable Post Icon', 'doris' ),
							'enable'            => esc_html__( 'Enable Post Icon', 'doris' ),
						),
					), 
				),
            ),
        );
		wp_localize_script( 'bk-composer-script', 'bk_fullwidth_modules', $modules );
        
        $modules = array(
            'about_us' => array(
				'title' => esc_html__( 'About Us', 'doris' ),
                'img'   => get_template_directory_uri().'/images/admin_panel/pagebuilder-modules/6.png',
                'tabdisable' => 'tab-option-2 tab-option-3 tab-option-4 tab-option-5 tab-option-6',
                'tabnames'  => array(
                    'tab-1' => 'About Fields',
                ),
				'options' => array(
                    // Tab 1
                    'title' => array(
						'title' => esc_html__('Main Title', 'doris' ),
						'description' => '',
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    'about_img' => array(
						'title' => esc_html__('About Image', 'doris' ),
						'description' => esc_html__( 'Upload your image', 'doris' ),
						'optionclass' => 'option-tab-1',
                        'field' => 'image',
						'default' => '',
					),
                    'name' => array(
						'title' => esc_html__('Name', 'doris' ),
						'description' => '',
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    'address' => array(
						'title' => esc_html__('Address', 'doris' ),
						'description' => '',
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    'bio' => array(
						'title' => esc_html__('Bio', 'doris' ),
						'description' => '',
                        'optionclass' => 'option-tab-1',
						'field' => 'textarea',
						'default' => '',
					),
                    'social_share' => array(
						'title' => esc_html__('Social Share', 'doris'),
                        'description' => esc_html__( 'Enable/Disable Social Share items which can be setup via Theme Options panel', 'doris' ),
						'optionclass' => 'option-tab-1',
                        'field' => 'select',
						'default' => 'no',
						'options' => array(
							'no' => esc_html__( 'No', 'doris' ),
                            'yes' => esc_html__( 'Yes', 'doris' ),
						),
					),
				),
            ),
            'posts_listing_list_first_large' => array(
				'title' => esc_html__( 'Posts Listing List First Large', 'doris' ),
                'img'   => get_template_directory_uri().'/images/admin_panel/pagebuilder-modules/49.png',
                'tabdisable' => 'tab-option-5 tab-option-6',
                'tabnames'  => array(
                    'tab-1' => 'General',
                    'tab-2' => 'Query Option',
                    'tab-3' => 'Manually Pick Post',
                    'tab-4' => 'Post Type',
                ),
				'options' => array(
                    // Tab 1
                    'title' => array(
						'title' => esc_html__('Main Title', 'doris' ),
						'description' => '',
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    'ajax_load_more' => array(
						'title' => esc_html__('Ajax Load More', 'doris'),
                        'description' => esc_html__( 'Select an Ajax Load More Type', 'doris' ),
						'optionclass' => 'option-tab-1 doris-ajax-load-more',
                        'field' => 'select',
						'default' => 'disable',
						'options' => array(
							'disable' => esc_html__( 'Disable', 'doris' ),
                            'pagination' => esc_html__( 'Ajax Pagination', 'doris' ),
                            'loadmore' => esc_html__( 'Ajax Load More Button', 'doris' ),
						),
					),
                    // Tab 2
                    'limit' => array(
						'title' => esc_html__('Number of Posts', 'doris' ),
						'description' => esc_html__( 'Enter the number of posts', 'doris' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'number',
						'default' => 10
					),
                    'offset' => array(
						'title' => esc_html__('Offset', 'doris' ),
						'description' => esc_html__( 'Enter the offset number', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'number',
						'default' => 0
					),
                    'feature' => array(
						'title' => esc_html__('Display featured posts as highest priority', 'doris'),
                        'description' => esc_html__( 'Yes: Display featured posts as highest priority', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'select',
						'default' => 'no',
						'options' => array(
							'no' => esc_html__( 'No', 'doris' ),
                            'yes' => esc_html__( 'Yes', 'doris' ),
						),
					),
                    'orderby' => array(
						'title' => esc_html__('Order By', 'doris' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'select',
						'default' => 'date',
						'options' => array(
                            'date'              => esc_html__( 'Latest Posts', 'doris' ),
                            'comment_count'     => esc_html__( 'Popular Post by Comments', 'doris' ),
                            'view_count'        => esc_html__( 'Popular Post by Views', 'doris' ),
                            'top_review'        => esc_html__( 'Best Review', 'doris' ),
                            'modified'          => esc_html__( 'Modified', 'doris' ),
                            'speed_reads'       => esc_html__( 'Speed Reads', 'doris' ),
                            'alphabetical_asc'  => esc_html__( 'Alphabetical A->Z', 'doris' ),
                            'alphabetical_decs' => esc_html__( 'Alphabetical Z->A', 'doris' ),
						),
					), 
                    'tags' => array(
						'title' => esc_html__('Tags', 'doris' ),
						'description' => esc_html__( '[Optional] Separate tags by the comma. e.g. tag1,tag2', 'doris' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'text',
						'default' => '',
					),
					'category' => array(
						'title' => esc_html__('Category', 'doris' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'category',
						'default' => '0',
					),
                    // Tab 3
                    'editor_pick' => array(
						'title' => esc_html__('Manually Pick Post (By Post IDs)', 'doris' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma, Must Pick the Video Posts', 'doris' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    'editor_exclude' => array(
						'title' => esc_html__('Manually Exclude Posts (By Post IDs)', 'doris' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma', 'doris' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    // Tab 4
                    'post_source' => array(
						'title' => esc_html__('Show only Post Type', 'doris' ),
                        'description' => esc_html__( 'All - Show All Post Type and Will Not Display Post Icon', 'doris' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'all',
						'options' => array(
                            'all'        => esc_html__( 'All', 'doris' ),
							'video'      => esc_html__( 'Video', 'doris' ),
                            'gallery'    => esc_html__( 'Gallery', 'doris' ),
                            'review'     => esc_html__( 'Review', 'doris' ),
						),
					), 
                    'post_icon' => array(
						'title' => esc_html__('Post Icon', 'doris' ),
                        'description' => esc_html__( 'Configure Post Icon on This Module', 'doris' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'disable',
						'options' => array(
                            'disable'           => esc_html__( 'Disable Post Icon', 'doris' ),
							'enable'            => esc_html__( 'Enable Post Icon', 'doris' ),
						),
					),
				),
            ),
            'posts_listing_grid_first_large' => array(
				'title' => esc_html__( 'Posts Listing Grid First Large', 'doris' ),
                'img'   => get_template_directory_uri().'/images/admin_panel/pagebuilder-modules/50.png',
                'tabdisable' => 'tab-option-5 tab-option-6',
                'tabnames'  => array(
                    'tab-1' => 'General',
                    'tab-2' => 'Query Option',
                    'tab-3' => 'Manually Pick Post',
                    'tab-4' => 'Post Type',
                ),
				'options' => array(
                    // Tab 1
                    'title' => array(
						'title' => esc_html__('Main Title', 'doris' ),
						'description' => '',
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    'ajax_load_more' => array(
						'title' => esc_html__('Ajax Load More', 'doris'),
                        'description' => esc_html__( 'Select an Ajax Load More Type', 'doris' ),
						'optionclass' => 'option-tab-1 doris-ajax-load-more',
                        'field' => 'select',
						'default' => 'disable',
						'options' => array(
							'disable' => esc_html__( 'Disable', 'doris' ),
                            'pagination' => esc_html__( 'Ajax Pagination', 'doris' ),
                            'loadmore' => esc_html__( 'Ajax Load More Button', 'doris' ),
						),
					),
                    // Tab 2
                    'limit' => array(
						'title' => esc_html__('Number of Posts', 'doris' ),
						'description' => esc_html__( 'Enter the number of posts', 'doris' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'number',
						'default' => 10
					),
                    'offset' => array(
						'title' => esc_html__('Offset', 'doris' ),
						'description' => esc_html__( 'Enter the offset number', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'number',
						'default' => 0
					),
                    'feature' => array(
						'title' => esc_html__('Display featured posts as highest priority', 'doris'),
                        'description' => esc_html__( 'Yes: Display featured posts as highest priority', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'select',
						'default' => 'no',
						'options' => array(
							'no' => esc_html__( 'No', 'doris' ),
                            'yes' => esc_html__( 'Yes', 'doris' ),
						),
					),
                    'orderby' => array(
						'title' => esc_html__('Order By', 'doris' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'select',
						'default' => 'date',
						'options' => array(
                            'date'              => esc_html__( 'Latest Posts', 'doris' ),
                            'comment_count'     => esc_html__( 'Popular Post by Comments', 'doris' ),
                            'view_count'        => esc_html__( 'Popular Post by Views', 'doris' ),
                            'top_review'        => esc_html__( 'Best Review', 'doris' ),
                            'modified'          => esc_html__( 'Modified', 'doris' ),
                            'speed_reads'       => esc_html__( 'Speed Reads', 'doris' ),
                            'alphabetical_asc'  => esc_html__( 'Alphabetical A->Z', 'doris' ),
                            'alphabetical_decs' => esc_html__( 'Alphabetical Z->A', 'doris' ),
						),
					), 
                    'tags' => array(
						'title' => esc_html__('Tags', 'doris' ),
						'description' => esc_html__( '[Optional] Separate tags by the comma. e.g. tag1,tag2', 'doris' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'text',
						'default' => '',
					),
					'category' => array(
						'title' => esc_html__('Category', 'doris' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'category',
						'default' => '0',
					),
                    // Tab 3
                    'editor_pick' => array(
						'title' => esc_html__('Manually Pick Post (By Post IDs)', 'doris' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma, Must Pick the Video Posts', 'doris' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    'editor_exclude' => array(
						'title' => esc_html__('Manually Exclude Posts (By Post IDs)', 'doris' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma', 'doris' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    // Tab 4
                    'post_source' => array(
						'title' => esc_html__('Show only Post Type', 'doris' ),
                        'description' => esc_html__( 'All - Show All Post Type and Will Not Display Post Icon', 'doris' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'all',
						'options' => array(
                            'all'        => esc_html__( 'All', 'doris' ),
							'video'      => esc_html__( 'Video', 'doris' ),
                            'gallery'    => esc_html__( 'Gallery', 'doris' ),
                            'review'     => esc_html__( 'Review', 'doris' ),
						),
					), 
                    'post_icon' => array(
						'title' => esc_html__('Post Icon', 'doris' ),
                        'description' => esc_html__( 'Configure Post Icon on This Module', 'doris' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'disable',
						'options' => array(
                            'disable'           => esc_html__( 'Disable Post Icon', 'doris' ),
							'enable'            => esc_html__( 'Enable Post Icon', 'doris' ),
						),
					), 
				),
            ),
            'posts_listing_grid' => array(
				'title' => esc_html__( 'Posts Listing Grid', 'doris' ),
                'img'   => get_template_directory_uri().'/images/admin_panel/pagebuilder-modules/48.png',
                'tabdisable' => 'tab-option-5 tab-option-6',
                'tabnames'  => array(
                    'tab-1' => 'General',
                    'tab-2' => 'Query Option',
                    'tab-3' => 'Manually Pick Post',
                    'tab-4' => 'Post Type',
                ),
				'options' => array(
                    // Tab 1
                    'title' => array(
						'title' => esc_html__('Main Title', 'doris' ),
						'description' => '',
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    'ajax_load_more' => array(
						'title' => esc_html__('Ajax Load More', 'doris'),
                        'description' => esc_html__( 'Select an Ajax Load More Type', 'doris' ),
						'optionclass' => 'option-tab-1 doris-ajax-load-more',
                        'field' => 'select',
						'default' => 'disable',
						'options' => array(
							'disable' => esc_html__( 'Disable', 'doris' ),
                            'pagination' => esc_html__( 'Ajax Pagination', 'doris' ),
                            'loadmore' => esc_html__( 'Ajax Load More Button', 'doris' ),
						),
					),
                    // Tab 2
                    'limit' => array(
						'title' => esc_html__('Number of Posts', 'doris' ),
						'description' => esc_html__( 'Enter the number of posts (Should be even number: 4, 6, 8, etc.)', 'doris' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'number',
						'default' => 8
					),
                    'offset' => array(
						'title' => esc_html__('Offset', 'doris' ),
						'description' => esc_html__( 'Enter the offset number', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'number',
						'default' => 0
					),
                    'feature' => array(
						'title' => esc_html__('Display featured posts as highest priority', 'doris'),
                        'description' => esc_html__( 'Yes: Display featured posts as highest priority', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'select',
						'default' => 'no',
						'options' => array(
							'no' => esc_html__( 'No', 'doris' ),
                            'yes' => esc_html__( 'Yes', 'doris' ),
						),
					),
                    'orderby' => array(
						'title' => esc_html__('Order By', 'doris' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'select',
						'default' => 'date',
						'options' => array(
                            'date'              => esc_html__( 'Latest Posts', 'doris' ),
                            'comment_count'     => esc_html__( 'Popular Post by Comments', 'doris' ),
                            'view_count'        => esc_html__( 'Popular Post by Views', 'doris' ),
                            'top_review'        => esc_html__( 'Best Review', 'doris' ),
                            'modified'          => esc_html__( 'Modified', 'doris' ),
                            'speed_reads'       => esc_html__( 'Speed Reads', 'doris' ),
                            'alphabetical_asc'  => esc_html__( 'Alphabetical A->Z', 'doris' ),
                            'alphabetical_decs' => esc_html__( 'Alphabetical Z->A', 'doris' ),
						),
					), 
                    'tags' => array(
						'title' => esc_html__('Tags', 'doris' ),
						'description' => esc_html__( '[Optional] Separate tags by the comma. e.g. tag1,tag2', 'doris' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'text',
						'default' => '',
					),
					'category' => array(
						'title' => esc_html__('Category', 'doris' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'category',
						'default' => '0',
					),
                    // Tab 3
                    'editor_pick' => array(
						'title' => esc_html__('Manually Pick Post (By Post IDs)', 'doris' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma, Must Pick the Video Posts', 'doris' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    'editor_exclude' => array(
						'title' => esc_html__('Manually Exclude Posts (By Post IDs)', 'doris' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma', 'doris' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    // Tab 4
                    'post_source' => array(
						'title' => esc_html__('Show only Post Type', 'doris' ),
                        'description' => esc_html__( 'All - Show All Post Type and Will Not Display Post Icon', 'doris' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'all',
						'options' => array(
                            'all'        => esc_html__( 'All', 'doris' ),
							'video'      => esc_html__( 'Video', 'doris' ),
                            'gallery'    => esc_html__( 'Gallery', 'doris' ),
                            'review'     => esc_html__( 'Review', 'doris' ),
						),
					), 
                    'post_icon' => array(
						'title' => esc_html__('Post Icon', 'doris' ),
                        'description' => esc_html__( 'Configure Post Icon on This Module', 'doris' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'disable',
						'options' => array(
                            'disable'           => esc_html__( 'Disable Post Icon', 'doris' ),
							'enable'            => esc_html__( 'Enable Post Icon', 'doris' ),
						),
					), 
				),
            ),
            'posts_listing_list' => array(
				'title' => esc_html__( 'Posts Listing List', 'doris' ),
                'img'   => get_template_directory_uri().'/images/admin_panel/pagebuilder-modules/47.png',
                'tabdisable' => 'tab-option-5 tab-option-6',
                'tabnames'  => array(
                    'tab-1' => 'General',
                    'tab-2' => 'Query Option',
                    'tab-3' => 'Manually Pick Post',
                    'tab-4' => 'Post Type',
                    'tab-5' => 'Post Info',
                ),
				'options' => array(
                    // Tab 1
                    'title' => array(
						'title' => esc_html__('Main Title', 'doris' ),
						'description' => '',
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    'ajax_load_more' => array(
						'title' => esc_html__('Ajax Load More', 'doris'),
                        'description' => esc_html__( 'Select an Ajax Load More Type', 'doris' ),
						'optionclass' => 'option-tab-1 doris-ajax-load-more',
                        'field' => 'select',
						'default' => 'disable',
						'options' => array(
							'disable' => esc_html__( 'Disable', 'doris' ),
                            'pagination' => esc_html__( 'Ajax Pagination', 'doris' ),
                            'loadmore' => esc_html__( 'Ajax Load More Button', 'doris' ),
						),
					),
                    // Tab 2
                    'limit' => array(
						'title' => esc_html__('Number of Posts', 'doris' ),
						'description' => esc_html__( 'Enter the number of posts', 'doris' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'number',
						'default' => 10
					),
                    'offset' => array(
						'title' => esc_html__('Offset', 'doris' ),
						'description' => esc_html__( 'Enter the offset number', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'number',
						'default' => 0
					),
                    'feature' => array(
						'title' => esc_html__('Display featured posts as highest priority', 'doris'),
                        'description' => esc_html__( 'Yes: Display featured posts as highest priority', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'select',
						'default' => 'no',
						'options' => array(
							'no' => esc_html__( 'No', 'doris' ),
                            'yes' => esc_html__( 'Yes', 'doris' ),
						),
					),
                    'orderby' => array(
						'title' => esc_html__('Order By', 'doris' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'select',
						'default' => 'date',
						'options' => array(
                            'date'              => esc_html__( 'Latest Posts', 'doris' ),
                            'comment_count'     => esc_html__( 'Popular Post by Comments', 'doris' ),
                            'view_count'        => esc_html__( 'Popular Post by Views', 'doris' ),
                            'top_review'        => esc_html__( 'Best Review', 'doris' ),
                            'modified'          => esc_html__( 'Modified', 'doris' ),
                            'speed_reads'       => esc_html__( 'Speed Reads', 'doris' ),
                            'alphabetical_asc'  => esc_html__( 'Alphabetical A->Z', 'doris' ),
                            'alphabetical_decs' => esc_html__( 'Alphabetical Z->A', 'doris' ),
						),
					), 
                    'tags' => array(
						'title' => esc_html__('Tags', 'doris' ),
						'description' => esc_html__( '[Optional] Separate tags by the comma. e.g. tag1,tag2', 'doris' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'text',
						'default' => '',
					),
					'category' => array(
						'title' => esc_html__('Category', 'doris' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'category',
						'default' => '0',
					),
                    // Tab 3
                    'editor_pick' => array(
						'title' => esc_html__('Manually Pick Post (By Post IDs)', 'doris' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma, Must Pick the Video Posts', 'doris' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    'editor_exclude' => array(
						'title' => esc_html__('Manually Exclude Posts (By Post IDs)', 'doris' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma', 'doris' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    // Tab 4
                    'post_source' => array(
						'title' => esc_html__('Show only Post Type', 'doris' ),
                        'description' => esc_html__( 'All - Show All Post Type and Will Not Display Post Icon', 'doris' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'all',
						'options' => array(
                            'all'        => esc_html__( 'All', 'doris' ),
							'video'      => esc_html__( 'Video', 'doris' ),
                            'gallery'    => esc_html__( 'Gallery', 'doris' ),
                            'review'     => esc_html__( 'Review', 'doris' ),
						),
					),    
                    'post_icon' => array(
						'title' => esc_html__('Post Icon', 'doris' ),
                        'description' => esc_html__( 'Configure Post Icon on This Module', 'doris' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'disable',
						'options' => array(
                            'disable'           => esc_html__( 'Disable Post Icon', 'doris' ),
							'enable'            => esc_html__( 'Enable Post Icon', 'doris' ),
						),
					), 
				),
            ),
            
            'posts_listing_large_grid' => array(
				'title' => esc_html__( 'Posts Listing Large Grid', 'doris' ),
                'img'   => get_template_directory_uri().'/images/admin_panel/pagebuilder-modules/46.png',
                'tabdisable' => 'tab-option-5 tab-option-6',
                'tabnames'  => array(
                    'tab-1' => 'General',
                    'tab-2' => 'Query Option',
                    'tab-3' => 'Manually Pick Post',
                    'tab-4' => 'Post Type',
                ),
				'options' => array(
                    // Tab 1
                    'title' => array(
						'title' => esc_html__('Main Title', 'doris' ),
						'description' => '',
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    'ajax_load_more' => array(
						'title' => esc_html__('Ajax Load More', 'doris'),
                        'description' => esc_html__( 'Select an Ajax Load More Type', 'doris' ),
						'optionclass' => 'option-tab-1 doris-ajax-load-more',
                        'field' => 'select',
						'default' => 'disable',
						'options' => array(
							'disable' => esc_html__( 'Disable', 'doris' ),
                            'pagination' => esc_html__( 'Ajax Pagination', 'doris' ),
                            'loadmore' => esc_html__( 'Ajax Load More Button', 'doris' ),
						),
					),
                    // Tab 2
                    'limit' => array(
						'title' => esc_html__('Number of Posts', 'doris' ),
						'description' => esc_html__( 'Enter the number of posts', 'doris' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'number',
						'default' => 10
					),
                    'offset' => array(
						'title' => esc_html__('Offset', 'doris' ),
						'description' => esc_html__( 'Enter the offset number', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'number',
						'default' => 0
					),
                    'feature' => array(
						'title' => esc_html__('Display featured posts as highest priority', 'doris'),
                        'description' => esc_html__( 'Yes: Display featured posts as highest priority', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'select',
						'default' => 'no',
						'options' => array(
							'no' => esc_html__( 'No', 'doris' ),
                            'yes' => esc_html__( 'Yes', 'doris' ),
						),
					),
                    'orderby' => array(
						'title' => esc_html__('Order By', 'doris' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'select',
						'default' => 'date',
						'options' => array(
                            'date'              => esc_html__( 'Latest Posts', 'doris' ),
                            'comment_count'     => esc_html__( 'Popular Post by Comments', 'doris' ),
                            'view_count'        => esc_html__( 'Popular Post by Views', 'doris' ),
                            'top_review'        => esc_html__( 'Best Review', 'doris' ),
                            'modified'          => esc_html__( 'Modified', 'doris' ),
                            'speed_reads'       => esc_html__( 'Speed Reads', 'doris' ),
                            'alphabetical_asc'  => esc_html__( 'Alphabetical A->Z', 'doris' ),
                            'alphabetical_decs' => esc_html__( 'Alphabetical Z->A', 'doris' ),
						),
					), 
                    'tags' => array(
						'title' => esc_html__('Tags', 'doris' ),
						'description' => esc_html__( '[Optional] Separate tags by the comma. e.g. tag1,tag2', 'doris' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'text',
						'default' => '',
					),
					'category' => array(
						'title' => esc_html__('Category', 'doris' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'category',
						'default' => '0',
					),
                    // Tab 3
                    'editor_pick' => array(
						'title' => esc_html__('Manually Pick Post (By Post IDs)', 'doris' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma, Must Pick the Video Posts', 'doris' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    'editor_exclude' => array(
						'title' => esc_html__('Manually Exclude Posts (By Post IDs)', 'doris' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma', 'doris' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    // Tab 4
                    'post_source' => array(
						'title' => esc_html__('Show only Post Type', 'doris' ),
                        'description' => esc_html__( 'All - Show All Post Type and Will Not Display Post Icon', 'doris' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'all',
						'options' => array(
                            'all'        => esc_html__( 'All', 'doris' ),
							'video'      => esc_html__( 'Video', 'doris' ),
                            'gallery'    => esc_html__( 'Gallery', 'doris' ),
                            'review'     => esc_html__( 'Review', 'doris' ),
						),
					),    
                    'post_icon' => array(
						'title' => esc_html__('Post Icon', 'doris' ),
                        'description' => esc_html__( 'Configure Post Icon on This Module', 'doris' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'disable',
						'options' => array(
                            'disable'           => esc_html__( 'Disable Post Icon', 'doris' ),
							'enable'            => esc_html__( 'Enable Post Icon', 'doris' ),
						),
					), 
				),
            ),
            'posts_grid_e' => array(
				'title' => esc_html__( 'Posts Grid E', 'doris' ),
                'img'   => get_template_directory_uri().'/images/admin_panel/pagebuilder-modules/7.png',
                'tabdisable' => 'tab-option-5 tab-option-6',
                'tabnames'  => array(
                    'tab-1' => 'General',
                    'tab-2' => 'Query Option',
                    'tab-3' => 'Manually Pick Post',
                    'tab-4' => 'Post Type',
                ),
				'options' => array(
                    // Tab 1
                    'title' => array(
						'title' => esc_html__('Title', 'doris' ),
						'description' => esc_html__( 'Lower Font Weight by put the text inside <span> tag', 'doris' ),
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    // Tab 2
                    'offset' => array(
						'title' => esc_html__('Offset', 'doris' ),
						'description' => esc_html__( 'Enter the offset number', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'number',
						'default' => 0
					),
                    'feature' => array(
						'title' => esc_html__('Display featured posts as highest priority', 'doris'),
                        'description' => esc_html__( 'Yes: Display featured posts as highest priority', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'select',
						'default' => 'no',
						'options' => array(
							'no' => esc_html__( 'No', 'doris' ),
                            'yes' => esc_html__( 'Yes', 'doris' ),
						),
					),
                    'orderby' => array(
						'title' => esc_html__('Order By', 'doris' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'select',
						'default' => 'date',
						'options' => array(
                            'date'              => esc_html__( 'Latest Posts', 'doris' ),
                            'comment_count'     => esc_html__( 'Popular Post by Comments', 'doris' ),
                            'view_count'        => esc_html__( 'Popular Post by Views', 'doris' ),
                            'top_review'        => esc_html__( 'Best Review', 'doris' ),
                            'modified'          => esc_html__( 'Modified', 'doris' ),
                            'speed_reads'       => esc_html__( 'Speed Reads', 'doris' ),
                            'alphabetical_asc'  => esc_html__( 'Alphabetical A->Z', 'doris' ),
                            'alphabetical_decs' => esc_html__( 'Alphabetical Z->A', 'doris' ),
						),
					), 
                    'tags' => array(
						'title' => esc_html__('Tags IDs', 'doris' ),
						'description' => esc_html__( '[Optional] Separate tags by the comma. e.g. tag1,tag2', 'doris' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'text',
						'default' => '',
					),
					'category' => array(
						'title' => esc_html__('Category', 'doris' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'doris' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'category',
						'default' => '0',
					),
                    // Tab 3
                    'editor_pick' => array(
						'title' => esc_html__('Manually Pick Post (By Post IDs)', 'doris' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma - Must Pick The review Post', 'doris' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    'editor_exclude' => array(
						'title' => esc_html__('Manually Exclude Posts (By Post IDs)', 'doris' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma', 'doris' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    // Tab 4
                    'post_source' => array(
						'title' => esc_html__('Show only Post Type', 'doris' ),
                        'description' => esc_html__( 'All - Show All Post Type and Will Not Display Post Icon', 'doris' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'all',
						'options' => array(
                            'all'        => esc_html__( 'All', 'doris' ),
							'video'      => esc_html__( 'Video', 'doris' ),
                            'gallery'    => esc_html__( 'Gallery', 'doris' ),
                            'review'     => esc_html__( 'Review', 'doris' ),
						),
					),    
				),
            ),
        );
		wp_localize_script( 'bk-composer-script', 'bk_has_rsb_modules', $modules );
        $modules = array(
        
        );
		wp_localize_script( 'bk-composer-script', 'bk_has_innersb_left_modules', $modules );
        $modules = array(

        );
		wp_localize_script( 'bk-composer-script', 'bk_has_innersb_right_modules', $modules );
	}
} 