<?php
/**
 * Load the TGM Plugin Activator class to notify the user
 * to install the Envato WordPress Toolkit Plugin
 */
require_once( get_template_directory() . '/inc/class-tgm-plugin-activation.php' );
function doris_tgmpa_register_toolkit() {
    // Specify the Envato Toolkit plugin
    $plugins = array(
        
        array(
            'name' => esc_html__('BKNinja Composer', 'doris'),
            'slug' => esc_html__('bkninja-composer', 'doris'),
            'img' => get_template_directory_uri() . '/images/plugins/bkninja-composer.jpg',
            'source' => get_template_directory() . '/plugins/bkninja-composer.zip',
            'required' => true,
            'version' => '2.1',
            'external_url' => '',
        ),    
        array(
            'name' => esc_html__('Doris Extension', 'doris'),
            'slug' => esc_html__('doris-extension', 'doris'),
            'img' => get_template_directory_uri() . '/images/plugins/extension.jpg',
            'source' => get_template_directory() . '/plugins/doris-extension.zip',
            'version' => '2.2',
            'external_url' => '',
        ),
        array(
            'name' => esc_html__('MailChimp for WordPress', 'doris'),
            'slug' => 'mailchimp-for-wp',
            'img' => get_template_directory_uri() . '/images/plugins/mailchimp.jpg',
            'version' => '',
            'force_activation' => false,
            'force_deactivation' => false,
            'external_url' => '',
        ),
        array(
            'name' => esc_html__('ATBS Sidebar Generator', 'doris'),
            'slug' => 'atbs-sidebar-generator',
            'img' => get_template_directory_uri() . '/images/plugins/sidebar-generator.jpg',
            'source' => get_template_directory() . '/plugins/atbs-sidebar-generator.zip',
            'version' => '',
            'force_activation' => false,
            'force_deactivation' => false,
            'external_url' => '',
        ),
        array(
            'name' => esc_html__('Contact Form 7', 'doris'),
            'slug' => 'contact-form-7',
            'title' => esc_html__('Contact Form 7 - Optional', 'doris'),
            'img' => get_template_directory_uri() . '/images/plugins/contact-form-7.jpg',
            'required' => false,
            'force_activation' => false,
            'force_deactivation' => false,
            'external_url' => '',
        ),
        array(
            'name' => esc_html__('Doris Admin Panel', 'doris'),
            'slug' => 'doris-admin-panel',
            'title' => esc_html__('doris Admin Panel - Optional', 'doris'),
            'source' => get_template_directory() . '/plugins/doris-admin-panel.zip',
            'required' => false,
            'force_activation' => false,
            'force_deactivation' => false,
            'external_url' => '',
        ),
        array(
            'name' => esc_html__('Classic Editor', 'doris'),
            'slug' => 'classic-editor',
            'img' => get_template_directory_uri() . '/images/plugins/classic-editor.png',
            'required' => '',
            'version' => '',
            'force_activation' => false,
            'force_deactivation' => false,
            'external_url' => '',
        ),
        array(
            'name' => esc_html__('WPForms', 'doris'),
            'slug' => 'wpforms-lite',
            'title' => esc_html__('WPForms - Optional', 'doris'),
            'img' => get_template_directory_uri() . '/images/plugins/wpforms.png',
            'required' => false,
            'force_activation' => false,
            'force_deactivation' => false,
            'external_url' => '',
        ),
    );
     
    // Configuration of TGM
    $config = array(
        'domain'           => 'doris',
        'default_path'     => '',
        'menu'             => 'install-required-plugins',
        'has_notices'      => true,
        'is_automatic'     => true,
        'message'          => '',
        'strings'          => array(
            'page_title'                      => esc_html__( 'Install Required Plugins', 'doris' ),
            'menu_title'                      => esc_html__( 'Install Plugins', 'doris' ),
            'installing'                      => esc_html__( 'Installing Plugin: %s', 'doris' ),
            'oops'                            => esc_html__( 'Something went wrong with the plugin API.', 'doris' ),
            'notice_can_install_required'     => _n_noop( 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.', 'doris' ),
            'notice_can_install_recommended'  => _n_noop( 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.', 'doris' ),
            'notice_cannot_install'           => _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.', 'doris' ),
            'notice_can_activate_required'    => _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.', 'doris' ),
            'notice_can_activate_recommended' => _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.', 'doris' ),
            'notice_cannot_activate'          => _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.', 'doris' ),
            'notice_ask_to_update'            => _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.', 'doris' ),
            'notice_cannot_update'            => _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.', 'doris' ),
            'install_link'                    => _n_noop( 'Begin installing plugin', 'Begin installing plugins', 'doris' ),
            'activate_link'                   => _n_noop( 'Activate installed plugin', 'Activate installed plugins', 'doris' ),
            'return'                          => esc_html__( 'Return to Required Plugins Installer', 'doris' ),
            'plugin_activated'                => esc_html__( 'Plugin activated successfully.', 'doris' ),
            'complete'                        => esc_html__( 'All plugins installed and activated successfully. %s', 'doris' ),
            'nag_type'                        => 'updated'
        )
    );
    tgmpa( $plugins, $config );
}
add_action( 'tgmpa_register', 'doris_tgmpa_register_toolkit' );