<?php
if (!class_exists('doris_horizontal_1')) {
    class doris_horizontal_1 {
        
        function render($postAttr) {
            ob_start();
            $postID = $postAttr['postID'];
            if(isset($postAttr['postIcon']) && ($postAttr['postIcon'] != '')) {
                $postIcon = $postAttr['postIcon']; 
            }else {
                $postIcon = '';
            }
            if(isset($postAttr['catClass']) && ($postAttr['catClass'] != '')) {
                $catClass = $postAttr['catClass']; 
            }else {
                $catClass = '';
            }
            $thumbAttr = array (
                'postID'        => $postID,
                'thumbSize'     => $postAttr['thumbSize'],                                
            );
            $theBGLink = atbs_core::bk_get_post_thumbnail_bg_link($thumbAttr);
            ?>
            <article class="post post--horizontal <?php if(isset($postAttr['additionalClass']) && ($postAttr['additionalClass'] != null)) echo esc_attr($postAttr['additionalClass']);?> <?php if(!(atbs_core::bk_check_has_post_thumbnail($postID) && isset($postAttr['thumbSize']) && ($postAttr['thumbSize'] != ''))) : echo 'no-thumbnail-available'; endif;?>">
                <?php if(atbs_core::bk_check_has_post_thumbnail($postID) && isset($postAttr['thumbSize']) && ($postAttr['thumbSize'] != '')) :?>
                <div class="post__thumb <?php if(isset($postAttr['additionalThumbClass']) && ($postAttr['additionalThumbClass'] != null)) echo esc_attr($postAttr['additionalThumbClass']);?>">
                    <div class="background-img" style="background-image: url('<?php echo esc_url($theBGLink);?>');"></div>
                    <a href="<?php echo get_permalink($postID);?>" class="link-overlay"></a>
                </div>
                <?php endif;?>
                <div class="post-text__wrap">
                    <div class="post__text">
                       <?php if(isset($postAttr['cat']) && ($postAttr['cat'] != 0)) echo atbs_core::bk_get_post_cat_link($postID, $catClass);?>
                       <h3 class="post__title <?php echo esc_attr($postAttr['typescale']);?>"><?php echo atbs_core::bk_get_post_title_link($postAttr['postID']);?></h3>
                       <?php if(isset($postAttr['except_length']) && ($postAttr['except_length'] != null)) {?>
                        <div class="post__excerpt <?php if(isset($postAttr['additionalExcerptClass']) && ($postAttr['additionalExcerptClass'] != null)) echo esc_attr($postAttr['additionalExcerptClass']);?>">
    						<?php echo atbs_core::bk_get_post_excerpt($postAttr['except_length']);?>
    					</div>
                        <?php }?>
                    </div>
                    <div class="post__readmore doris-readmore clearfix">
                       <a href="<?php echo get_permalink($postID);?>" class="button__readmore"><span class="readmore__text"><?php esc_html_e('Read More', 'doris');?></span>
                       </a>
                    </div>
                    <?php
                        if ( function_exists( 'bk_single_post_share' ) ) {
                    ?>
                    <div class="post-meta">
                       <div class="share-post">
                            <span><?php esc_html_e('Share: ', 'doris');?></span>
                            <?php echo atbs_core::post_share_meta($postID);?>
                       </div>
                    </div>
                    <?php }?>
                 </div>
            </article>
            <?php return ob_get_clean();
        }
        
    }
}