<?php
if (!class_exists('doris_horizontal_2')) {
    class doris_horizontal_2 {
        
        function render($postAttr) {
            ob_start();
            global $post;
            $postID = $postAttr['postID'];
            if(isset($postAttr['postIcon']) && ($postAttr['postIcon'] != '')) {
                $postIcon = $postAttr['postIcon']; 
            }else {
                $postIcon = '';
            }
            if(isset($postAttr['catClass']) && ($postAttr['catClass'] != '')) {
                $catClass = $postAttr['catClass']; 
            }else {
                $catClass = '';
            }
            $authorCity = get_the_author_meta('city', $post->post_author);
            $thumbAttr = array (
                'postID'        => $postID,
                'thumbSize'     => $postAttr['thumbSize'],                                
            );
            $theBGLink = atbs_core::bk_get_post_thumbnail_bg_link($thumbAttr);
            ?>
            <article class="post post--horizontal <?php if(isset($postAttr['additionalClass']) && ($postAttr['additionalClass'] != null)) echo esc_attr($postAttr['additionalClass']);?>">
                <div class="post__thumb <?php if(isset($postAttr['additionalThumbClass']) && ($postAttr['additionalThumbClass'] != null)) echo esc_attr($postAttr['additionalThumbClass']);?>">
                    <div class="background-img" style="background-image: url('<?php echo esc_url($theBGLink);?>');"></div>
                    <a href="<?php echo get_permalink($postID);?>" class="link-overlay"></a>
                </div>
                <div class="post__text">
                    <div class="post-meta">
                       <div class="author-meta">
                        <?php 
                            $bk_author_name = get_the_author_meta('display_name', $post->post_author);
                            $authorImgALT = $bk_author_name;
                            $authorArgs = array(
                                'class' => 'author__avatar',
                            );
                            echo get_avatar($post->post_author, '34', '', $authorImgALT, $authorArgs);
                        ?>
                          <div class="author__text">
                            <?php echo ' <a class="author__name" title="'.esc_attr__('Posts by','doris').' '.esc_attr($bk_author_name).'" rel="author" href="'.get_author_posts_url($post->post_author).'">'.esc_attr($bk_author_name).'</a>';?>
                             <p class=""><?php echo esc_html($authorCity);?></p>
                          </div>
                       </div>
                    </div>
                    <h3 class="post__title <?php echo esc_attr($postAttr['typescale']);?>"><?php echo atbs_core::bk_get_post_title_link($postAttr['postID']);?></h3>
                    <?php if(isset($postAttr['except_length']) && ($postAttr['except_length'] != null)) {?>
                        <div class="post__excerpt <?php if(isset($postAttr['additionalExcerptClass']) && ($postAttr['additionalExcerptClass'] != null)) echo esc_attr($postAttr['additionalExcerptClass']);?>">
    						<?php echo atbs_core::bk_get_post_excerpt($postAttr['except_length']);?>
    					</div>
                        <?php }?>
                 </div>
            </article>
            <?php return ob_get_clean();
        }
        
    }
}