<?php
if (!class_exists('doris_vertical_1')) {
    class doris_vertical_1 {
        
        function render($postAttr) {
            ob_start();
            $postID = $postAttr['postID'];
            $bk_permalink = get_permalink($postID);
            $bk_post_title = get_the_title($postID);
            if(isset($postAttr['catClass']) && ($postAttr['catClass'] != '')) {
                $catClass = $postAttr['catClass']; 
            }else {
                $catClass = '';
            }
            if(isset($postAttr['readmore']) && ($postAttr['readmore'] == 1)) {
                $readmore = 1;
            }else {
                $readmore = 0;
            }
            ?>
            <article class="post post--vertical <?php if(isset($postAttr['additionalClass']) && ($postAttr['additionalClass'] != null)) echo esc_attr($postAttr['additionalClass']);?> <?php if(!(atbs_core::bk_check_has_post_thumbnail($postID) && isset($postAttr['thumbSize']) && ($postAttr['thumbSize'] != ''))) : echo 'no-thumbnail-available'; endif;?>">
                <?php if(atbs_core::bk_check_has_post_thumbnail($postID) && isset($postAttr['thumbSize']) && ($postAttr['thumbSize'] != '')) :?>
				    <div class="post__thumb">
                        <?php echo atbs_core::get_feature_image($postID, $postAttr['thumbSize'], true);?>
                    </div>
                <?php endif;?>     
                <div class="post__text">
                    <?php if(isset($postAttr['cat']) && ($postAttr['cat'] == 1)) echo atbs_core::bk_get_post_cat_link($postID, $catClass);?>
                   <h3 class="post__title <?php echo esc_attr($postAttr['typescale']);?>"><?php echo atbs_core::bk_get_post_title_link($postAttr['postID']);?></h3>
                   <?php
                    if (isset($postAttr['meta']) && ($postAttr['meta'] != '')) :
                        echo '<div class="post__meta">';
                        echo atbs_core::bk_get_post_meta($postAttr['meta']);
                        echo '</div>';
                    endif;
                    ?>
                    <?php
                    if($readmore == 1) : ?>
                    <div class="post__readmore doris-readmore clearfix">
                        <a href="<?php echo get_permalink($postID);?>" class="button__readmore"><span class="readmore__text"><?php esc_html_e('Read More', 'doris');?></span></a>
                    </div>
                    <?php 
                    endif;
                    ?>
                </div>
            </article>
            <?php return ob_get_clean();
        }
        
    }
}