<?php
if (!class_exists('doris_vertical_3')) {
    class doris_vertical_3 {

        function render($postAttr) {
            ob_start();
            $postID = $postAttr['postID'];
            $bk_permalink = get_permalink($postID);
            $bk_post_title = get_the_title($postID);
            if(isset($postAttr['catClass']) && ($postAttr['catClass'] != '')) {
                $catClass = $postAttr['catClass']; 
            }else {
                $catClass = '';
            }
            if(isset($postAttr['postIcon']) && ($postAttr['postIcon'] != '')) {
                $postIcon = $postAttr['postIcon']; 
            }else {
                $postIcon = '';
            }
            if(isset($postAttr['meta_seperator']) && ($postAttr['meta_seperator'] != '')) {
                $metaSeperator = 1;
            }else {
                $metaSeperator = 0;
            }
            ?>
    <article class="post post--vertical doris-post--vertical-list <?php if(!(atbs_core::bk_check_has_post_thumbnail($postID) && isset($postAttr['thumbSize']) && ($postAttr['thumbSize'] != ''))) : echo 'no-thumbnail-available'; endif;?>">
        <div class="post__thumb">
            <?php echo atbs_core::get_feature_image($postID, $postAttr['thumbSize'], true, $postIcon);?>
        </div>
        <div class="post__text">
            <?php if(isset($postAttr['cat']) && ($postAttr['cat'] == 1)) echo atbs_core::bk_get_post_cat_link($postID, $catClass);?>
            <h3 class="post__title <?php echo esc_attr($postAttr['typescale']);?>"><?php echo atbs_core::bk_get_post_title_link($postAttr['postID']);?></h3>
            <div class="post__text-bottom">
                <div class="post-meta-top">
                    <div class="author-meta">
                        <?php 
                            global $post;
                            $bk_author_name = get_the_author_meta('display_name', $post->post_author);
                            $authorImgALT = $bk_author_name;
                            $authorArgs = array(
                                'class' => 'author__avatar',
                            );
                            echo get_avatar($post->post_author, '34', '', $authorImgALT, $authorArgs);
                        ?>
                        <div class="author__text">
                            <?php echo ' <a class="author__name" title="'.esc_attr__('Posts by','doris').' '.esc_attr($bk_author_name).'" rel="author" href="'.get_author_posts_url($post->post_author).'">'.esc_attr($bk_author_name).'</a>';?>
                            <div class="post-meta">
                                <?php echo atbs_core::bk_meta_cases('date_without_icon');?>
                            </div>
                        </div>
                        <div class="datetime-View">
                            <ul class="datetime-View--socials">

                                <li class="view">
                                    <?php echo atbs_core::bk_meta_cases('comment');?>
                                </li>
                                <li class="time">
                                    <?php echo atbs_core::bk_meta_cases('view');?>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
                <?php if(isset($postAttr['except_length']) && ($postAttr['except_length'] != null)) {?>
                <div class="post__excerpt <?php if(isset($postAttr['additionalExcerptClass']) && ($postAttr['additionalExcerptClass'] != null)) echo esc_attr($postAttr['additionalExcerptClass']);?>">
                    <?php echo atbs_core::bk_get_post_excerpt($postAttr['except_length']);?>
                </div>
                <?php }?>
                <div class="post__readmore doris-readmore clearfix">
                    <a href="<?php echo get_permalink($postID);?>" class="button__readmore"><span class="readmore__text"><?php esc_html_e('Read More', 'doris');?></span></a>
                </div>
            </div>

        </div>
    </article>
    <?php return ob_get_clean();
        }

    }
}