<?php
if ( ! function_exists( 'doris_custom_css' ) ) {
    function doris_custom_css() {
        $doris_option = atbs_core::bk_get_global_var('doris_option');
        $doris_css_output = '';
        
        $cat_opt = get_option('bk_cat_opt');
        
        if ( isset($doris_option)):
            $primary_color = $doris_option['bk-primary-color'];
        endif;
        
        $doris_css_output .= "::selection {color: #FFF; background: $primary_color;}";
        $doris_css_output .= "::-webkit-selection {color: #FFF; background: $primary_color;}";
        
        if ( ($primary_color) != null) :
            $doris_css_output .= "a, a:hover, a:focus, a:active, .color-primary, .site-title, 
            .doris-featured-module .main-slider .post__cat:before,
            .doris-readmore .button__readmore:hover, .entry-author a:hover, .post-horizontal-a .share-post ul>li:hover i, .author-meta .author__name:hover,
            .post__cat:hover, .doris-post--vertical-list .post-meta-top > div .author__name:hover, .doris-post--vertical-list .datetime-View--socials li a:hover,
            .single-entry .post--single .entry-tags ul li a:hover, .author-box .author-name a:hover, .author-box .social-list li:hover i,
            .error-page h1, .dorisSticky .post__title a:after
            {color: $primary_color;}";
            
            $doris_css_output .= ".primary-bg-color, .navigation--main > li > a:before, .post__cat--bg, a.post__cat--bg, .entry-cat--bg, a.entry-cat--bg,
            .doris-block .subscribe-form__inner, .promo-boxes--name, .btn-primary,
            .btn-default:hover, .btn-default.active.focus, .btn-default.active:focus, .btn-default.active:hover, .btn-default:active.focus, .btn-default:active:focus, .btn-default:active:hover, .open>.dropdown-toggle.btn-default.focus, .open>.dropdown-toggle.btn-default:focus, .open>.dropdown-toggle.btn-default:hover,
            .featured-post-stick, .big-post--horizontal .post-meta, .doris-post--vertical-list a.post__cat, .doris-about-me .about-content,
            .post--single a.post__cat, .single-standard h1.post-title:before, .doris-review__inner .post-score, .post--overlay .post-score, .post__thumb .post-score,
            .comment-form .form-submit input[type='submit'], .comment-form .form-submit input[type='submit']:active, .comment-form .form-submit input[type='submit']:focus, .comment-form .form-submit input[type='submit']:hover,
            div.wpforms-container-full .wpforms-form button[type=submit], div.wpforms-container-full .wpforms-form button[type=submit]:hover
            {background-color: $primary_color;}";
            
            $doris_css_output .= ".doris-post--vertical .post__title, .small-post-vertical-b .post--vertical__inner .post__title, .doris-post--vertical-list .post__title
            {border-color: $primary_color;}";

            $doris_css_output .= " .navigation--offcanvas li > a:after
            {border-right-color: $primary_color;}";

        endif;

        wp_add_inline_style( 'doris-style', $doris_css_output );
    }
    add_action( 'wp_enqueue_scripts', 'doris_custom_css' );
}