<?php
/********************* META BOX DEFINITIONS ***********************/

/**
 * Prefix of meta keys (optional)
 * Use underscore (_) at the beginning to make keys hidden
 * Alt.: You also can make prefix empty to disable it
 */
if(! function_exists('bk_register_meta_boxes')) {
    add_filter( 'rwmb_meta_boxes', 'bk_register_meta_boxes' );
    function bk_register_meta_boxes( $meta_boxes ) {
            
        // Better has an underscore as last sign
        
        global $meta_boxes;
        
        $bk_sidebar = array();
        foreach ( $GLOBALS['wp_registered_sidebars'] as $value => $label ) {
            $bk_sidebar[$value] = ucwords( $label['name'] );
        }
        $bk_sidebar['global_settings']  = esc_html__( 'From Theme Options', 'doris' );
        
        // Post SubTitle
        $meta_boxes[] = array(
            'id' => 'bk_post_subtitle_section',
            'title' => esc_html__( 'BK SubTitle', 'doris' ),
            'pages' => array( 'post' ),
            'context' => 'normal',
            'priority' => 'high',
        	'fields' => array(        
                array(
                    'name' => esc_html__( 'SubTitle', 'doris' ),
                    'desc' => esc_html__('Insert the SubTitle for this post', 'doris'),
                    'id' => 'bk_post_subtitle',
                    'type' => 'textarea',
                    'placeholder' => esc_html__('SubTitle ...', 'doris'),
                    'std' => ''
                ),
            )
        );
        // Page Descriptipon
        $meta_boxes[] = array(
            'id'        => 'bk_page_description_section',
            'title'     => esc_html__( 'Page Description', 'doris' ),
            'pages'     => array( 'page' ),
            'context'   => 'normal',
            'priority'  => 'high',
        	'fields'    => array( 
                array(
                    'name' => esc_html__( 'Page Description', 'doris' ),
                    'id' => 'bk_page_description',
                    'type' => 'textarea',
                    'placeholder' => esc_html__('description ...', 'doris'),
                    'std' => ''
                ),
            ),
        );  
        // Page Settings
        $meta_boxes[] = array(
            'id'        => 'bk_page_settings_section',
            'title'     => esc_html__( 'Page Settings', 'doris' ),
            'pages'     => array( 'page' ),
            'context'   => 'normal',
            'priority'  => 'high',
        	'fields'    => array(   
                array(
                    'name' => 'Page Heading',
                    'id'   => 'bk_page_header_style',
                    'type' => 'select',
                    'options'   => array(
                                    'global_settings'   => esc_html__( 'From Theme Options', 'doris' ),
                                    'grey-bg'           => esc_html__( 'Grey Background', 'doris' ),
                                    'grey-bg-center'    => esc_html__( 'Grey Background -- Align Center', 'doris' ),
                					'image-bg'          => esc_html__( 'Featured Image Background', 'doris' ),
                                    'image-bg-center'   => esc_html__( 'Featured Image Background -- Align Center', 'doris' ),
                                ),
                    'std'       => 'global_settings',
                ), 
                // Featured Image Config
                array(
                    'name'      => esc_html__( 'Featured Image', 'doris' ),
                    'id'        => 'bk_page_feat_img',
                    'type'      => 'button_group', 
        			'options'   => array(
                                    'global_settings' => esc_html__( 'From Theme Options', 'doris' ),                
                                    1 => esc_html__( 'On', 'doris' ),
                                    0 => esc_html__( 'Off', 'doris' ),
            				    ),
        			// Select multiple values, optional. Default is false.
        			'multiple'    => false,
        			'std'         => 'global_settings',
                ),
                // Layout
                array(
                    'name' => esc_html__( 'Layout', 'doris' ),
                    'id' => 'bk_page_layout',
                    'type' => 'select', 
        			'options'  => array(
                                    'global_settings' => esc_html__( 'From Theme Options', 'doris' ),
                                    'has_sidebar' => esc_html__( 'Has Sidebar', 'doris' ),
                                    'no_sidebar'  => esc_html__( 'Full Width -- No sidebar', 'doris' ),
            				    ),
        			'multiple'    => false,
        			'std'         => 'global_settings',
                ),
                
                // Sidebar
                array(
                    'name' => esc_html__( 'Choose a sidebar for this page', 'doris' ),
                    'id' => 'bk_page_sidebar_select',
                    'type' => 'select',
                    'options'  => $bk_sidebar,
                    'std'  => 'global_settings',
                    'hidden' => array( 'bk_page_layout', 'in', array('no_sidebar')),
                ),
                array(
                    'name' => esc_html__( 'Sidebar Position -- Left/Right', 'doris' ),
                    'id' => 'bk_page_sidebar_position',
                    'type' => 'image_select',
                    'options'   => array(
                            'global_settings'    => get_template_directory_uri().'/images/admin_panel/default.png',
                            'right' => get_template_directory_uri().'/images/admin_panel/archive/sb-right.png',
                            'left'  => get_template_directory_uri().'/images/admin_panel/archive/sb-left.png',
                    ),
                    'std'  => 'global_settings',
                    'hidden' => array( 'bk_page_layout', 'in', array('no_sidebar')),
                ),
                array(
                    'name'      => esc_html__( 'Sticky Sidebar', 'doris' ),
                    'id'        => 'bk_page_sidebar_sticky',
                    'type'      => 'button_group',
                    'options'   => array(
                                    'global_settings'   => esc_html__( 'From Theme Options', 'doris' ),
                                    1                   => esc_html__( 'Enable', 'doris' ),
                					0                   => esc_html__( 'Disable', 'doris' ),
                                ),
                    'desc' => esc_html__('From Theme Options setting option is set in Theme Option -> Default Page Template','doris'),
                    'std'       => 'global_settings',
                    'hidden' => array( 'bk_page_layout', 'in', array('no_sidebar')),
                ),
            )
        );
        // Post Layout Options
        $meta_boxes[] = array(
            'id' => 'bk_post_ops',
            'title' => esc_html__( 'BK Layout Options', 'doris' ),
            'desc'   =>  esc_html__( 'From Theme Option: Theme Options -> Single Page', 'doris' ),        
            'pages' => array( 'post' ),
            'context' => 'normal',
            'priority' => 'low',
        
            'fields' => array(
                array(
        			'id' => 'bk_post_layout_standard',
                    'class' => 'post-layout-options',
                    'name' => esc_html__( 'Post Layout Option', 'doris' ),
                    'type' => 'image_select', 
        			'options'  => array(
                                    'global_settings' => get_template_directory_uri().'/images/admin_panel/default.png',
                                    'single-1' => get_template_directory_uri().'/images/admin_panel/single_page/single-1.png',
                                    'single-2' => get_template_directory_uri().'/images/admin_panel/single_page/single-2.png',
                                    'single-3' => get_template_directory_uri().'/images/admin_panel/single_page/single-3.png',
                                    'single-4' => get_template_directory_uri().'/images/admin_panel/single_page/single-4.png',
                                    'single-5' => get_template_directory_uri().'/images/admin_panel/single_page/single-5.png',
            				    ),
                    'std'         => 'global_settings',
                ),
                array(
                    'type' => 'divider',
                    'visible' => array(
                             array( 'bk_post_layout_standard', 'in', array('single-7', 'single-8', 'single-9', 'single-10')),
                        ),
                ),
                array(
                    'name' => 'Single Header Background',
                    'desc' => esc_html__('Leave empty to use the setting from Theme Options', 'doris'),
                    'id'   => 'bk-single-header--bg-color',
                    'type' => 'color',
                    'std'  => '',
                    'visible' => array(
                             array( 'bk_post_layout_standard', 'in', array('single-7', 'single-8', 'single-9', 'single-10')),
                        ),
                ),     
                array(
                    'name'      => esc_html__( 'Background Pattern', 'doris' ),
                    'id'        => 'bk-single-header--bg-pattern',
                    'type'      => 'button_group', 
        			'options'   => array(
                                    'global_settings' => esc_html__( 'From Theme Options', 'doris' ),                
                                    1 => esc_html__( 'Enable', 'doris' ),
                                    0 => esc_html__( 'Disable', 'doris' ),
            				    ),
        			'std'         => 'global_settings',
                    'visible' => array(
                                 array( 'bk_post_layout_standard', 'in', array('single-7', 'single-8', 'single-9', 'single-10')),
                            ),
                ), 
                array(
                    'name'      => esc_html__( 'Header Text', 'doris' ),
                    'id'        => 'bk-single-header--inverse',
                    'type'      => 'button_group', 
        			'options'   => array(
                                    'global_settings' => esc_html__( 'From Theme Options', 'doris' ),                
                                    1 => esc_html__( 'White', 'doris' ),
                                    0 => esc_html__( 'Black', 'doris' ),
            				    ),
        			'std'         => 'global_settings',
                    'visible' => array(
                                 array( 'bk_post_layout_standard', 'in', array('single-7', 'single-8', 'single-9', 'single-10')),
                            ),
                ),        
                array(
                    'type' => 'divider',
                    'visible' => array(
                                 array( 'bk_post_layout_standard', 'in', array('single-1', 'single-2', 'single-3', 'single-4',
                                                                               'single-5', 'single-6', 'single-9', 'single-10')),
                            ),
                ),
                // Feature Image Config
                array(
                    'name' => esc_html__( 'Featured Image Config', 'doris' ),
                    'id' => 'bk-feat-img-status',
                    'type'     => 'button_group',
        			'options'  => array(
                                    'global_settings' => esc_html__( 'From Theme Options', 'doris' ),                
                                    1 => esc_html__( 'On', 'doris' ),
                                    0 => esc_html__( 'Off', 'doris' ),
            				    ),
        			'std'         => 'global_settings',
                    'visible' => array(
                                 array( 'bk_post_layout_standard', 'in', array('single-1', 'single-2', 'single-3', 'single-4',
                                                                               'single-5', 'single-6', 'single-9', 'single-10')),
                            ),
                ),
            )
        );
        $meta_boxes[] = array(
            'id' => 'bk_section_show_hide',
            'title' => esc_html__( 'BK Single Post Section Show/Hide', 'doris' ),
            'pages' => array( 'post' ),
            'context' => 'normal',
            'priority' => 'low',
            'fields' => array(
                array(
        			'id' => 'bk-authorbox-sw',
                    'class' => 'bk-authorbox-sw',
                    'name' => esc_html__( 'Author Box', 'doris' ),
                    'type'     => 'button_group',
        			'options'  => array(
                                    'global_settings'   => esc_html__( 'From Theme Options', 'doris' ),
                                    1                   => esc_html__( 'Show', 'doris' ),
                					0                   => esc_html__( 'Hide', 'doris' ),
            				    ),
        			'multiple'    => false,
        			'std'         => 'global_settings',
        		),
                array(
        			'id' => 'bk-postnav-sw',
                    'class' => 'bk-postnav-sw',
                    'name' => esc_html__( 'Post Nav Section', 'doris' ),
                    'type'     => 'button_group',
        			'options'  => array(
                                    'global_settings'   => esc_html__( 'From Theme Options', 'doris' ),
                                    1                   => esc_html__( 'Show', 'doris' ),
                					0                   => esc_html__( 'Hide', 'doris' ),
            				    ),
        			'multiple'    => false,
        			'std'         => 'global_settings',
        		),
                array(
        			'id' => 'bk-related-sw',
                    'class' => 'bk-related-sw',
                    'name' => esc_html__( 'Related Section', 'doris' ),
                    'type'     => 'button_group',
        			'options'  => array(
                                    'global_settings'   => esc_html__( 'From Theme Options', 'doris' ),
                                    1                   => esc_html__( 'Show', 'doris' ),
                					0                   => esc_html__( 'Hide', 'doris' ),
            				    ),
        			'multiple'    => false,
        			'std'         => 'global_settings',
        		),
            ),
        );
        // Related Post Options
        $meta_boxes[] = array(
            'id' => 'bk_related_post_ops',
            'title' => esc_html__( 'BK Related Post Setting', 'doris' ),
            'pages' => array( 'post' ),
            'context' => 'normal',
            'priority' => 'low',
            'hidden' => array(
                            'when' => array(
                                 array( 'bk-related-sw', 0 )
                             ),
                             'relation' => 'or'
                        ),
            'fields' => array(
                array(
        			'id' => 'bk_related_source',
                    'class' => 'related_post_options',
                    'name' => esc_html__( 'Related Posts', 'doris' ),
                    'type' => 'select', 
        			'options'  => array(
                                    'global_settings' => esc_html__( 'From Theme Options', 'doris' ),
                                    'category_tag' => esc_html__( 'Same Categories and Tags', 'doris' ),
                					'tag'          => esc_html__( 'Same Tags', 'doris' ),
                                    'category'     => esc_html__( 'Same Categories', 'doris' ),
                                    'author'       => esc_html__( 'Same Author', 'doris' ),
            				    ),
        			'multiple'    => false,
        			'std'         => 'global_settings',
        		),
            )
        );
        $meta_boxes[] = array(
            'id' => 'bk_single_post_sidebar',
            'title' => esc_html__( 'Sidebar Option', 'doris' ),
            'pages' => array( 'post' ),
            'context' => 'normal',
            'priority' => 'low',
        
            'fields' => array(
                // Sidebar Select
                array(
                    'name' => esc_html__( 'Choose a sidebar for this post', 'doris' ),
                    'id' => 'bk_post_sb_select',
                    'type' => 'select',
                    'options'  => $bk_sidebar,
                    'desc' => esc_html__( 'Sidebar Select', 'doris' ),
                    'std'  => 'global_settings',
                ),
                array(
        			'id' => 'bk_post_sb_position',
                    'class' => 'post_sb_position',
                    'name' => esc_html__( 'Sidebar Position', 'doris' ),
                    'type' => 'image_select', 
        			'options'  => array(
                                    'global_settings'   => get_template_directory_uri().'/images/admin_panel/default.png',
                                    'right'             => get_template_directory_uri().'/images/admin_panel/single_page/sb-right.png',
                					'left'              => get_template_directory_uri().'/images/admin_panel/single_page/sb-left.png',
            				    ),
        			'multiple'    => false,
        			'std'         => 'global_settings',
        		),
                array(
        			'id' => 'bk_post_sb_sticky',
                    'class' => 'post_sb_sticky',
                    'name' => esc_html__( 'Sidebar Sticky', 'doris' ),
                    'type'     => 'button_group',
        			'options'  => array(
                                    'global_settings'   => esc_html__( 'From Theme Options', 'doris' ),
                                    1                   => esc_html__( 'Enable', 'doris' ),
                					0                   => esc_html__( 'Disable', 'doris' ),
            				    ),
        			'multiple'    => false,
        			'std'         => 'global_settings',
        		),
            )
        );
        
        $meta_boxes[] = array(
            'id' => 'bk_video_post_format',
            'title' => esc_html__( 'BK Video Post Format', 'doris' ),
            'pages' => array( 'post' ),
            'context' => 'normal',
            'priority' => 'high',
            'visible' => array( 'post_format', 'in', array('video')),
        	'fields' => array(        
                //Video
                array(
                    'name' => esc_html__( 'Format Options: Video', 'doris' ),
                    'desc' => esc_html__('Support Youtube, Vimeo Link', 'doris'),
                    'id' => 'bk_video_media_link',
                    'type'  => 'oembed',
                    'placeholder' => esc_html__('Link ...', 'doris'),
                    'std' => ''
                ),
            )
        );
        $meta_boxes[] = array(
            'id' => 'bk_gallery_post_format',
            'title' => esc_html__( 'BK Gallery Post Format', 'doris' ),
            'pages' => array( 'post' ),
            'context' => 'normal',
            'priority' => 'high',
            'visible' => array( 'post_format', 'in', array('gallery')),
        	'fields' => array(  
                //Gallery
                array(
                    'name' => esc_html__( 'Format Options: Gallery', 'doris' ),
                    'desc' => esc_html__('Gallery Images', 'doris'),
                    'id' => 'bk_gallery_content',
                    'type' => 'image_advanced',
                    'std' => ''
                ),
                array(
        			'id' => 'bk_gallery_type',
                    'name' => esc_html__( 'Gallery Type', 'doris' ),
                    'type' => 'select', 
        			'options'  => array(
                					'gallery-1' => esc_html__( 'Gallery 1', 'doris' ),
                					'gallery-2' => esc_html__( 'Gallery 2 ', 'doris' ),
                                    'gallery-3' => esc_html__( 'Gallery 3', 'doris' ),
                                    'gallery-4' => esc_html__( 'Gallery 4', 'doris' ),
            				    ),
        			// Select multiple values, optional. Default is false.
        			'multiple'    => false,
        			'std'         => 'left',
        		),
            )
        );
        // Post Review Options
        $meta_boxes[] = array(
            'id' => 'bk_review',
            'title' => esc_html__( 'BK Review System', 'doris' ),
            'pages' => array( 'post' ),
            'context' => 'normal',
            'priority' => 'high',
        
            'fields' => array(
                // Enable Review
                array(
                    'name' => esc_html__( 'Review Box', 'doris' ),
                    'id' => 'bk_review_checkbox',
                    'type' => 'checkbox',
                    'desc' => esc_html__( 'Enable Review On This Post', 'doris' ),
                    'std'  => 0,
                ),
                array(
                    'visible' => array( 'bk_review_checkbox', '=', 1),
                    'type' => 'divider',
                ),
                array(
        			'id' => 'bk_review_box_position',
                    'name' => esc_html__( 'Review Box Position', 'doris' ),
                    'type' => 'select', 
        			'options'  => array(
                					'default'      => esc_html__( 'Default -- Under the post content', 'doris' ),
                					'aside-left'   => esc_html__( 'Aside Left ', 'doris' ),
                                    'aside-right'  => esc_html__( 'Aside Right', 'doris' ),
            				    ),
        			// Select multiple values, optional. Default is false.
        			'multiple'    => false,
        			'std'         => 'default',
                    'visible'     => array( 'bk_review_checkbox', '=', 1),
        		),
                array(
                    'visible' => array( 'bk_review_checkbox', '=', 1),
                    'type' => 'divider',
                ),
                array(
                    'name' => 'Product Image',
                    'id'   => 'bk_review_product_img',
                    'type' => 'single_image',
                    'visible'     => array( 'bk_review_checkbox', '=', 1),
                ),  
                array(
                    'name' => esc_html__( 'Product name', 'doris' ),
                    'id'   => 'bk_review_box_title',
                    'type' => 'textarea',
                    'cols' => 20,
                    'rows' => 2,
                    'visible' => array( 'bk_review_checkbox', '=', 1),
                ),
                array(
                    'name' => esc_html__( 'Description', 'doris' ),
                    'id'   => 'bk_review_box_sub_title',
                    'type' => 'textarea',
                    'cols' => 20,
                    'rows' => 2,
                    'visible' => array( 'bk_review_checkbox', '=', 1),
                ),
                array(
                    'visible' => array( 'bk_review_checkbox', '=', 1),
                    'type' => 'divider',
                ),
                //Review Score
                array(
                    'name' => esc_html__( 'Review Score', 'doris' ),
                    'id' => 'bk_review_score',
                    'class' => 'doris-',
                    'type' => 'slider',
                    'visible' => array( 'bk_review_checkbox', '=', 1),
                    'js_options' => array(
                        'min'   => 0,
                        'max'   => 10.05,
                        'step'  => .1,
                    ),
                ),
                array(
                    'visible' => array( 'bk_review_checkbox', '=', 1),
                    'type' => 'divider',
                ),
                // Summary
                array(
                    'name' => esc_html__( 'Summary', 'doris' ),
                    'id'   => 'bk_review_summary',
                    'type' => 'textarea',
                    'cols' => 20,
                    'rows' => 4,
                    'visible' => array( 'bk_review_checkbox', '=', 1),
                ),
                
                array(
                    'visible' => array( 'bk_review_checkbox', '=', 1),
                    'type' => 'divider',
                ),
                
                //Pros & Cons
                array(
                    'name' => esc_html__( 'Pros and Cons', 'doris' ),
                    'id' => 'bk_pros_cons',
                    'type' => 'checkbox',
                    'desc' => esc_html__( 'Enable Pros and Cons On This Post', 'doris' ),
                    'std'  => 0,
                    'visible' => array( 'bk_review_checkbox', '=', 1),
                ),
                array(
                    'visible' => array( 'bk_pros_cons', '=', 1),
                    'type' => 'divider',
                ),
                array(
                    'name' => esc_html__( 'Pros Title', 'doris' ),
                    'id'   => 'bk_review_pros_title',
                    'type' => 'textarea',
                    'cols' => 20,
                    'rows' => 2,
                    'visible' => array( 'bk_pros_cons', '=', 1),
                ),
                array(
                    'name' => esc_html__( 'Pros (Advantages)', 'doris' ),
                    'id'   => 'bk_review_pros',
                    'type' => 'textarea',
                    'cols' => 20,
                    'clone' => true,
                    'rows' => 2,
                    'visible' => array( 'bk_pros_cons', '=', 1),
                ),
                array(
                    'visible' => array( 'bk_pros_cons', '=', 1),
                    'type' => 'divider',
                ),
                array(
                    'name' => esc_html__( 'Cons Title', 'doris' ),
                    'id'   => 'bk_review_cons_title',
                    'type' => 'textarea',
                    'cols' => 20,
                    'rows' => 2,
                    'visible' => array( 'bk_pros_cons', '=', 1),
                ),
                array(
                    'name' => esc_html__( 'Cons (Disadvantages)', 'doris' ),
                    'id'   => 'bk_review_cons',
                    'type' => 'textarea',
                    'cols' => 20,
                    'clone' => true,
                    'rows' => 2,
                    'visible' => array( 'bk_pros_cons', '=', 1),
                ),
            )
        );
        if ( function_exists( 'mb_term_meta_load' ) ) {
            $meta_boxes[] = array(
                'title'      => 'Advance Category Options',
                'taxonomies' => array('category'), // List of taxonomies. Array or string
        
                'fields' => array(
                    array(
        				'name'    => esc_html__('Layouts','doris'),
        				'id'      => 'bk_category_content_layout',
        				'type' => 'image_select', 
            			'options'  => array(
                                        'global_settings'    => get_template_directory_uri().'/images/admin_panel/default.png',
                                        'listing_list'       => get_template_directory_uri().'/images/admin_panel/archive/1.png',
                                        'listing_list_first_large' => get_template_directory_uri().'/images/admin_panel/archive/2.png',
                                        'listing_grid'       => get_template_directory_uri().'/images/admin_panel/archive/3.png',
                                        'listing_grid_first_large' => get_template_directory_uri().'/images/admin_panel/archive/4.png',
                                        'listing_large_post' => get_template_directory_uri().'/images/admin_panel/archive/5.png',
                				    ),
                        'std' => 'global_settings',
                        'desc' => esc_html__('From Theme Options setting option is set in Theme Option -> Category','doris'),
        			),
                    array(
                        'name' => esc_html__( 'Choose a sidebar for this page', 'doris' ),
                        'id' => 'bk_category_sidebar_select',
                        'type' => 'select',
                        'options'  => $bk_sidebar,
                        'desc' => esc_html__('From Theme Options setting option is set in Theme Option -> Category','doris'),
                        'std'  => 'global_settings',
                        'visible' => array( 'bk_category_content_layout', 'in', array('listing_list', 'listing_list_first_large', 'listing_grid', 
                                                                                      'listing_grid_first_large', 'listing_large_post',
                                                                                      'global_settings')),
                    ),
                    array(
                        'name' => esc_html__( 'Sidebar Position -- Left/Right', 'doris' ),
                        'id' => 'bk_category_sidebar_position',
                        'type' => 'image_select',
                        'options'   => array(
                                'global_settings'    => get_template_directory_uri().'/images/admin_panel/default.png',
                                'right' => get_template_directory_uri().'/images/admin_panel/archive/sb-right.png',
                                'left'  => get_template_directory_uri().'/images/admin_panel/archive/sb-left.png',
                        ),
                        'desc' => esc_html__('From Theme Options setting option is set in Theme Option -> Category','doris'),
                        'std'  => 'global_settings',
                        'visible' => array( 'bk_category_content_layout', 'in', array('listing_list', 'listing_list_first_large', 'listing_grid', 
                                                                                        'listing_grid_first_large', 'listing_large_post',
                                                                                      'global_settings')),
                    ),
                    array(
                        'name'      => esc_html__( 'Sticky Sidebar', 'doris' ),
                        'id'        => 'bk_category_sidebar_sticky',
                        'type'      => 'button_group',
                        'options'   => array(
                                        'global_settings'   => esc_html__( 'From Theme Options', 'doris' ),
                                        1                   => esc_html__( 'Enable', 'doris' ),
                    					0                   => esc_html__( 'Disable', 'doris' ),
                                    ),
                        'desc' => esc_html__('From Theme Options setting option is set in Theme Option -> Category','doris'),
                        'std'       => 'global_settings',
                        'visible' => array( 'bk_category_content_layout', 'in', array('listing_list', 'listing_list_first_large', 'listing_grid', 
                                                                                        'listing_grid_first_large', 'listing_large_post',
                                                                                      'global_settings')),
                    ),
                    array(
                        'name' => 'Featured Image',
                        'id'   => 'bk_category_feat_img',
                        'type' => 'single_image',
                    ),  
                ),
            );
            $meta_boxes[] = array(
                'title'      => ' ',
                'taxonomies' => array('post_tag'), // List of taxonomies. Array or string
        
                'fields' => array(

                    array(
        				'name'    => esc_html__('Content Layouts','doris'),
        				'id'      => 'bk_archive_content_layout',
        				'type' => 'image_select', 
            			'options'  => array(
                                        'global_settings'    => get_template_directory_uri().'/images/admin_panel/default.png',
                                        'listing_list'       => get_template_directory_uri().'/images/admin_panel/archive/1.png',
                                        'listing_list_first_large' => get_template_directory_uri().'/images/admin_panel/archive/2.png',
                                        'listing_grid'       => get_template_directory_uri().'/images/admin_panel/archive/3.png',
                                        'listing_grid_first_large' => get_template_directory_uri().'/images/admin_panel/archive/4.png',
                                        'listing_large_post' => get_template_directory_uri().'/images/admin_panel/archive/5.png',
                				    ),
                        'std' => 'global_settings',
                        'desc' => esc_html__('From Theme Options setting option is set in Theme Option -> Archive','doris'),
        			),

                    array(
                        'name' => esc_html__( 'Choose a sidebar for this page', 'doris' ),
                        'id' => 'bk_archive_sidebar_select',
                        'type' => 'select',
                        'options'  => $bk_sidebar,
                        'desc' => esc_html__('From Theme Options setting option is set in Theme Option -> Archive','doris'),
                        'std'  => 'global_settings',
                        'visible' => array( 'bk_archive_content_layout', 'in', array('listing_list', 'listing_list_first_large', 'listing_grid', 
                                                                                      'listing_grid_first_large', 'listing_large_post',
                                                                                      'global_settings')),
                    ),
                    array(
                        'name' => esc_html__( 'Sidebar Position -- Left/Right', 'doris' ),
                        'id' => 'bk_archive_sidebar_position',
                        'type' => 'image_select',
                        'options'   => array(
                                'global_settings'    => get_template_directory_uri().'/images/admin_panel/default.png',
                                'right' => get_template_directory_uri().'/images/admin_panel/archive/sb-right.png',
                                'left'  => get_template_directory_uri().'/images/admin_panel/archive/sb-left.png',
                        ),
                        'desc' => esc_html__('From Theme Options setting option is set in Theme Option -> Archive','doris'),
                        'std'  => 'global_settings',
                        'visible' => array( 'bk_archive_content_layout', 'in', array('listing_list', 'listing_list_first_large', 'listing_grid', 
                                                                                      'listing_grid_first_large', 'listing_large_post',
                                                                                      'global_settings')),
                    ),
                    array(
                        'name'      => esc_html__( 'Sticky Sidebar', 'doris' ),
                        'id'        => 'bk_archive_sidebar_sticky',
                        'type'      => 'button_group',
                        'options'   => array(
                                        'global_settings'   => esc_html__( 'From Theme Options', 'doris' ),
                                        1                   => esc_html__( 'Enable', 'doris' ),
                    					0                   => esc_html__( 'Disable', 'doris' ),
                                    ),
                        'desc' => esc_html__('From Theme Options setting option is set in Theme Option -> Archive','doris'),
                        'std'       => 'global_settings',
                        'visible' => array( 'bk_archive_content_layout', 'in', array('listing_list', 'listing_list_first_large', 'listing_grid', 
                                                                                      'listing_grid_first_large', 'listing_large_post',
                                                                                      'global_settings')),
                    ),
                    array(
                        'name' => 'Featured Image',
                        'id'   => 'bk_archive_feat_img',
                        'type' => 'single_image',
                    ),  
                ),
            );
        }
        return $meta_boxes;
    }
}