<?php 
    $doris_option = atbs_core::bk_get_global_var('doris_option');
    $logo   = atbs_core::bk_get_theme_option('bk-logo');
    $mobileLogo   = atbs_core::bk_get_theme_option('bk-mobile-logo');
    if (($mobileLogo != null) && (array_key_exists('url',$mobileLogo))) {
        if ($mobileLogo['url'] == '') {
            $mobileLogo = $logo;
        }
    }else {
        $mobileLogo = $logo;
    }
    $logoSOption  = atbs_core::bk_get_theme_option('bk-site-logo-size-option');
    if($logoSOption == 'customize') {
        $logoW   = atbs_core::bk_get_theme_option('site-logo-width');
    }else {
        $logoW = '';
    }
    if ((isset($doris_option['bk-header-inverse'])) && (($doris_option['bk-header-inverse']) == 1)){ 
        $inverseClass = 'yes';
    }else {
        $inverseClass = '';
    }
    if ((isset($doris_option['bk-mobile-menu-inverse'])) && (($doris_option['bk-mobile-menu-inverse']) == 1)){ 
        $inverseClass_Mobile = 'yes';
    }else {
        $inverseClass_Mobile = '';
    }
?>
<header class="site-header">
    <div class="top-bar hidden-xs hidden-sm" >
        <div class="container">
            <div class="top-bar__inner top-bar__inner--flex">
               <div class="top-bar__section">
                  <div class="top-bar__nav">
                    <?php 
                        if ( has_nav_menu( 'top-menu' ) ) : 
                            $menuSettings = array( 
                                'theme_location' => 'top-menu',
                                'container_id' => 'top-menu',
                                'menu_class'    => 'navigation navigation--top',
                                'depth' => '10' 
                            );
                            wp_nav_menu($menuSettings);
                        endif;
                    ?>		
                  </div>
               </div>
               <div class="top-bar__section">
                    <?php if ( isset($doris_option ['bk-social-header']) && !empty($doris_option ['bk-social-header']) ){ ?>
    					<ul class="social-list social-list--sm list-horizontal">
    						<?php echo atbs_core::bk_get_social_media_links($doris_option['bk-social-header']);?>            						
    					</ul>
                    <?php }?>
				</div>
            </div>
        </div>
    </div>    
    
    <div class="doris-main-nav">
      <div class="container">
         <div class="row">
            <nav class="navigation-bar navigation-bar--fullwidth hidden-xs hidden-sm js-sticky-header-holder">
          
                 <div class="navigation-bar__inner ">
                    <div class="header-branding navigation-bar__section">
                       
                          <div class="header-logo ">
                             <a href="<?php echo esc_url(home_url('/'));?>">
        						<!-- logo open -->
                                <?php if (($logo != null) && (array_key_exists('url',$logo))) {
                                        if ($logo['url'] != '') {
                                    ?>
                                    <img src="<?php echo esc_url($logo['url']);?>" alt="<?php esc_attr_e('logo', 'doris');?>" <?php if($logoW != '') {echo 'width="'.esc_attr($logoW).'px"';}?>/>
                                <?php } else {?>
                                    <span class="logo-text">
                                    <?php echo esc_attr(bloginfo( 'name' ));?>
                                    </span>
                                <?php }
                                } else {?>
                                    <span class="logo-text">
                                    <?php echo esc_attr(bloginfo( 'name' ));?>
                                    </span>
                                <?php } ?>
                                <!-- logo close -->
        					</a>
                          </div>
                      
                    </div>
                    <div class="navigation-wrapper navigation-bar__section js-priority-nav">
                       <div class="header-branding ">
                          <?php 
                            if ( has_nav_menu( 'main-menu' ) ) : 
                                $menuSettings = array( 
                                    'theme_location' => 'main-menu',
                                    'container_id' => 'main-menu',
                                    'menu_class'    => 'navigation navigation--main navigation--inline',
                                );
                                wp_nav_menu($menuSettings);
                            endif;
                        ?>
                       </div>
                    </div>
                    <div class="navigation-bar__section">
        				<button type="submit" class="navigation-bar-btn js-search-dropdown-toggle"><i class="mdicon mdicon-search"></i></button>
        			</div>
                 </div>
                 <?php get_template_part( 'library/templates/header/header-search-dropdown' );?>
            </nav>
         </div>
      </div>
   </div>
    
    <!-- Mobile header -->
   <div class="container">
      <div class="row">
         <div id="doris-mobile-header" class="mobile-header  visible-xs visible-sm">
               <div class="mobile-header__inner mobile-header__inner--flex">
                  <div class="header-branding header-branding--mobile mobile-header__section text-left">
                     <div class="header-logo header-logo--mobile flexbox__item text-left">
                        <a href="<?php echo esc_url(home_url('/'));?>">
                            <?php if (($mobileLogo != null) && (array_key_exists('url',$mobileLogo))) {
                                if ($mobileLogo['url'] != '') {
                            ?>                    
                            <img src="<?php echo esc_url($mobileLogo['url']);?>" alt="<?php esc_attr_e('logo', 'doris');?>"/>
                            <?php 
                            } else {?>
                                    <span class="logo-text">
                                    <?php echo esc_attr(bloginfo( 'name' ));?>
                                    </span>
                            <?php }
                            } else {?>
                                <span class="logo-text">
                                <?php echo esc_attr(bloginfo( 'name' ));?>
                                </span>
                            <?php } ?>                        
                        </a>
                     </div>
                  </div>
                  <div class="mobile-header__section text-right">
    				<a href="#doris-offcanvas-primary" class="offcanvas-menu-toggle mobile-header-btn js-doris-offcanvas-toggle">
    					<i class="mdicon mdicon-menu mdicon--last hidden-xs"></i><i class="mdicon mdicon-menu visible-xs-inline-block"></i>
    				</a>
                    <button type="submit" class="mobile-header-btn js-search-dropdown-toggle">
    					<i class="mdicon mdicon-search mdicon--last hidden-xs"></i><i class="mdicon mdicon-search visible-xs-inline-block"></i>
    				</button>
                  </div>
               </div>
            </div>
         <!-- Mobile header -->
         <!-- Navigation bar -->
         <!-- Navigation bar -->
      </div>
   </div>

</header><!-- Site header -->