<?php 
    $doris_option = atbs_core::bk_get_global_var('doris_option');
    if ((isset($doris_option['bk-offcanvas-mobile-logo'])) && (($doris_option['bk-offcanvas-mobile-logo']) != NULL)){ 
        $logo = $doris_option['bk-offcanvas-mobile-logo'];
        if (($logo != null) && (array_key_exists('url',$logo))) {
            if ($logo['url'] == '') {
                $logo = atbs_core::bk_get_theme_option('bk-logo');
            }
        }
    }else {
        $logo = atbs_core::bk_get_theme_option('bk-logo');
    }
?>
<!-- Off-canvas menu -->
<div id="doris-offcanvas-primary" class="doris-offcanvas js-doris-offcanvas js-perfect-scrollbar">
    <div class="doris-offcanvas__title">
        <h2 class="site-logo">
            <a href="<?php echo esc_url(home_url('/'));?>">
				<!-- logo open -->
                <?php if (($logo != null) && (array_key_exists('url',$logo))) {
                        if ($logo['url'] != '') {
                    ?>
                    <img src="<?php echo esc_url($logo['url']);?>" alt="<?php esc_attr_e('logo', 'doris');?>"/>
    			<!-- logo close -->
                <?php } else {?>
                    <?php echo esc_attr(bloginfo( 'name' ));?>
                <?php }
                } else {?>
                    <?php echo esc_attr(bloginfo( 'name' ));?>
                <?php } ?>
			</a>
        </h2>
        <?php if ( isset($doris_option ['bk-offcanvas-mobile-social']) && ($doris_option ['bk-offcanvas-mobile-social'] != '') ){ ?>
		<ul class="social-list list-horizontal">
			<?php echo atbs_core::bk_get_social_media_links($doris_option['bk-offcanvas-mobile-social']);?>
		</ul>
        <?php }?>
		<a href="#doris-offcanvas-primary" class="doris-offcanvas-close js-doris-offcanvas-close" aria-label="Close"><span aria-hidden="true">&#10005;</span></a>
    </div>
    <div class="doris-offcanvas__section doris-offcanvas__section-navigation">
        <?php 
            if ( isset($doris_option ['bk-offcanvas-mobile-menu']) && ($doris_option ['bk-offcanvas-mobile-menu'] != '') ){
                if ( has_nav_menu( $doris_option ['bk-offcanvas-mobile-menu'] ) ) : 
                    $menuSettings = array( 
                        'theme_location' => $doris_option ['bk-offcanvas-mobile-menu'],
                        'container_id' => 'offcanvas-menu-mobile',
                        'menu_class'    => 'navigation navigation--offcanvas',
                        'depth' => '5' 
                    );
                    wp_nav_menu($menuSettings);
                elseif ( has_nav_menu( 'main-menu' ) ) : 
                    $menuSettings = array( 
                        'theme_location' => 'main-menu',
                        'container_id' => 'offcanvas-menu-mobile',
                        'menu_class'    => 'navigation navigation--offcanvas',
                        'depth' => '5' 
                    );
                    wp_nav_menu($menuSettings);
                endif;
            }
        ?>
    </div>

</div>
<!-- Off-canvas menu -->