<?php
/**
 * The Default Page Template -- With Sidebar page template
 *
 */
 ?>
<?php
    $pageID  = get_the_ID();
    
    $headerStyle    = doris_single::bk_get_post_option($pageID, 'bk_page_header_style');    
    $sidebar        = doris_single::bk_get_post_option($pageID, 'bk_page_sidebar_select');
    $sidebarPos     = doris_single::bk_get_post_option($pageID, 'bk_page_sidebar_position');
    $sidebarSticky  = doris_single::bk_get_post_option($pageID, 'bk_page_sidebar_sticky'); 
    $featuredImage  = doris_single::bk_get_post_option($pageID, 'bk_page_feat_img');  
    $pageDescription = get_post_meta($pageID, 'bk_page_description', true);     
?>
<div class="doris-block doris-block--fullwidth">
	<div class="container">
		<div class="row">
			<div class="doris-main-col <?php if($sidebarPos == 'left') echo('has-left-sidebar');?>" role="main">
                <div class="block-heading block-doris-heading">
                    <?php
                        echo '<h2>'. get_the_title($pageID) .'</h2>';
                    ?>   
                    <div class="block-heading__subtitle"><?php echo esc_html($pageDescription);?></div>
                </div>
                <article <?php post_class('post--single');?>>
                    <div class="single-content">
                        <?php
                            if ( ($featuredImage != 0) && atbs_core::bk_check_has_post_thumbnail($pageID)) {
                                echo '<div class="page-entry-thumb single-entry-thumb">';
                                echo get_the_post_thumbnail($pageID, 'doris-m-2_1');
                				echo '</div>';
                            }
                        ?>
						<div class="entry-content typography-copy">
                            <?php the_content();?>
                        </div>
                        <?php echo doris_single::bk_post_pagination();?>
                    </div>
                </article>
                <?php if(comments_open()) {?>
                    <div class="comments-section single-entry-section">
                        <?php comments_template(); ?>
                    </div> <!-- End Comment Box -->
                <?php }?>
            </div><!-- .doris-main-col -->
            <div class="doris-sub-col sidebar <?php if($sidebarSticky != 0) echo 'js-sticky-sidebar';?>" role="complementary">
				<?php 
                    dynamic_sidebar( $sidebar );
                ?>
			</div><!-- .doris-sub-col -->
        </div>
    </div> <!-- .container -->
</div><!-- .doris-block -->