<?php
/*
Template Name: Single Template 4
*/
?>
<?php
    global $post;
    $doris_option = atbs_core::bk_get_global_var('doris_option');
    $currentPost        = $post;
    $postID             = get_the_ID();      
    $catIDClass         = '';
    $bkEntryTeaser      = get_post_meta($postID,'bk_post_subtitle',true);
    
    $sidebar            =  doris_single::bk_get_post_option($postID, 'bk_post_sb_select');   
    $sidebarPos         =  doris_single::bk_get_post_option($postID, 'bk_post_sb_position');    
    $sidebarSticky      =  doris_single::bk_get_post_option($postID, 'bk_post_sb_sticky');
    
    $reviewBoxPosition  = get_post_meta($postID,'bk_review_box_position',true);
    
    //Switch
    $bkAuthorSW         = doris_single::bk_get_post_option($postID, 'bk-authorbox-sw');
    $bkPostNavSW        = doris_single::bk_get_post_option($postID, 'bk-postnav-sw');
    $bkRelatedSW        = doris_single::bk_get_post_option($postID, 'bk-related-sw');
    $bkSameCatSW        = doris_single::bk_get_post_option($postID, 'bk-same-cat-sw');
    
    $featuredImageSTS   = doris_single::bk_get_post_option($postID, 'bk-feat-img-status');
    
    if(function_exists('has_post_format')){
        $postFormat  = get_post_format($postID) ? : 'standard';
    }else {
        $postFormat = 'standard';
    } 
    $galleryType = '';
    if($postFormat != 'standard') {
        $postClass = 'single-media-format';
    }else if(!(atbs_core::bk_check_has_post_thumbnail($postID))) {
        $postClass = 'single-media-format';
    }else {
        $postClass = '';
    }
    
?>
<div class="site-content single-entry single-standard single-layout-4 <?php if($postClass != '') echo esc_html($postClass);?>">
    <div class="doris-block doris-layout-split doris-block--fullwidth single-entry-wrap">
        <?php
            if($postFormat == 'gallery') {
                $galleryType = get_post_meta($postID, 'bk_gallery_type', true);
                
                if($galleryType == 'gallery-4') {
                    echo atbs_core::bk_get_gallery_4($postID);
                }
            }
        ?>
        <div class="container container--narrow">
            <div class="doris-main" role="main">
                <article <?php post_class('post--single');?>>
                    <div class="single-content">
                        
                        <?php
                            if(($galleryType != 'gallery-4') && (($postFormat == 'video') || ($postFormat == 'gallery'))) {
                                echo '<div class="single-entry-featured-media">';
                                echo doris_single::bk_entry_media($postID);
                                echo '</div>';
                            }else {
                                $featImgCaption = get_the_post_thumbnail_caption($postID);
                                if (($featuredImageSTS != 0) && (atbs_core::bk_check_has_post_thumbnail($postID))) {
                                    echo '<div class="post__thumb single-entry-thumb">';
                                    echo get_the_post_thumbnail($postID, 'doris-l-16_9');
                    				if($featImgCaption != '') :
                                        echo '<div class="single-entry-thumb-caption"><span>'.$featImgCaption.'</span></div>';
                                    endif;
                    				echo '</div>';
                                }
                            }
                        ?>
                        <div class="single-content__inner">
                            <header class="single-head post__head">
                                <div class="post-cat__wrap">
                                    <?php 
                                        $catClass = '';
                                        echo atbs_core::bk_get_post_cat_link($postID, $catClass, true);
                                    ?>
                                </div>
                                <h1 class="post-title typescale-4"><?php echo get_the_title($postID);?></h1>
                                <?php if($bkEntryTeaser):?>
                                    <div class="entry-teaser">
    									<?php echo esc_html($bkEntryTeaser);?>
    								</div>
                                <?php endif;?>
                                <?php get_template_part( 'library/templates/single/single-entry-meta');?>
                            </header>
                        </div>
                        <div class="single-body entry-content typography-copy">
                            <?php 
                                if(($reviewBoxPosition == 'aside-left') || ($reviewBoxPosition == 'aside-right')) {
                                    echo doris_single::bk_post_review_box_aside($postID, $reviewBoxPosition);
                                }
                            ?>
                            <?php the_content();?>
						</div>
                        <?php echo doris_single::bk_post_pagination();?>
                        <?php 
                            if($reviewBoxPosition == 'default') {
                                echo doris_single::bk_post_review_box_default($postID);
                            }
                        ?>
                        <?php get_template_part( 'library/templates/single/single-footer');?>
                    </div><!-- .single-content -->
                </article><!-- .post-single -->        
                
                <?php 
                    if(($bkPostNavSW != '') && ($bkPostNavSW != 0)) {
                        echo doris_single::bk_post_navigation();
                    }
                ?>
                                                                                       
                <?php 
                    if(($bkAuthorSW != '') && ($bkAuthorSW != 0)) {
                        echo doris_single::bk_author_box($currentPost->post_author);
                    }
                ?>
                
                <?php
                    if(($bkRelatedSW != '') && ($bkRelatedSW != 0)) {
                        echo doris_single::bk_related_post($currentPost);
                    }
                ?>
                
                <?php comments_template();?>
                
            </div><!-- .doris-main-col -->
        </div>
    </div>
</div>