<?php
/**
 * The template for displaying Archive pages.
 *
 * Used to display archive-type pages if nothing more specific matches a query.
 * For example, puts together date-based pages if no date.php file exists.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 */
?>
<?php
    get_header();
    
    $tagID          = $wp_query->get_queried_object_id();
    
    $archiveLayout  = doris_archive::bk_get_archive_option($tagID, 'bk_archive_content_layout');
    $sidebar        = doris_archive::bk_get_archive_option($tagID, 'bk_archive_sidebar_select');
    $sidebarPos     = doris_archive::bk_get_archive_option($tagID, 'bk_archive_sidebar_position');
    $sidebarSticky  = doris_archive::bk_get_archive_option($tagID, 'bk_archive_sidebar_sticky'); 
    $pagination     = 'default';
    
    $moduleID = uniqid('doris_posts_'.$archiveLayout.'-');
    
    $tag = get_tag($tagID);
?>
<div class="site-content">       
    <?php if( ($archiveLayout == 'listing_list') ||
              ($archiveLayout == 'listing_list_first_large') ||
              ($archiveLayout == 'listing_grid') ||
              ($archiveLayout == 'listing_grid_first_large') ||
              ($archiveLayout == 'listing_large_post')
            ) {?>
    <div class="doris-layout-split doris-block doris-block--fullwidth">
        <div class="container">
            <div class="row">
                <div class="doris-main-col <?php if($sidebarPos == 'left') echo('has-left-sidebar');?>" role="main">
                    <div class="block-heading block-doris-heading">
                        <?php
                            echo '<h2>'. esc_html__('Tag: ', 'doris'). $tag->name.'</h2>';
                        ?>   
                        <div class="block-heading__subtitle"><p><?php echo esc_html($tag->description);?></p></div>
                    </div>
                    <div id="<?php echo esc_attr($moduleID);?>" class="doris-block">
                        <?php echo doris_archive::archive_main_col($archiveLayout, $moduleID, $pagination);?>
                        <?php echo doris_archive::bk_pagination_render($pagination);?>

                    </div><!-- .doris-block -->
                </div><!-- .doris-main-col -->

                <div class="doris-sub-col doris-sub-col--right sidebar <?php if($sidebarSticky != 0) echo 'js-sticky-sidebar';?>" role="complementary">
                    <?php dynamic_sidebar( $sidebar );?>
                </div> <!-- .doris-sub-col -->
            </div><!-- .row -->
        </div><!-- .container -->
    </div><!-- .doris-block -->
<?php } else {?>
    <div class="doris-layout-split doris-block doris-block--fullwidth">
        <div class="container">
            <div class="row">
                <div class="doris-main-col" role="main">
                    <div class="block-heading block-doris-heading">
                        <?php
                            echo '<h2>'. esc_html__('Tag: ', 'doris'). $tag->name.'</h2>';
                        ?>   
                        <div class="block-heading__subtitle"><p><?php echo esc_html($tag->description);?></p></div>
                    </div>
                    <div id="<?php echo esc_attr($moduleID);?>" class="doris-block">
                        <?php echo doris_archive::archive_main_col('listing_list', $moduleID, 'default');?>
                        <?php echo doris_archive::bk_pagination_render('default');?>
                    </div><!-- .doris-block -->
                </div><!-- .doris-main-col -->

                <div class="doris-sub-col doris-sub-col--right sidebar js-sticky-sidebar" role="complementary">
                    <?php dynamic_sidebar( $sidebar ); ?>
                </div> <!-- .doris-sub-col -->
            </div><!-- .row -->
        </div><!-- .container -->
    </div><!-- .doris-block -->
    <?php }?>
</div>

<?php get_footer(); ?>